package com.amirouter.server;

import java.util.Properties;

import org.springframework.boot.Banner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.domain.EntityScan;
import org.springframework.data.jpa.repository.config.EnableJpaRepositories;

/**
 * Main class
 */
@SpringBootApplication
@EnableJpaRepositories(basePackages = { "com.amirouter.server.*" })
@EntityScan(basePackages = { "com.amirouter.server.*" })
public class ServerApp {

	/**
	 * Application entrypoint
	 * @param args arguments
	 */
	public static void main(String[] args) {

		SpringApplication app = new SpringApplication(ServerApp.class);

		Properties properties = new Properties();
		properties.put("spring.shell.command.quit.enabled", false);
		app.setDefaultProperties(properties);

		app.setBannerMode(Banner.Mode.OFF);
		app.run(args);
	}

}
