package com.amirouter.server.ami;

import java.util.Map;

/**
 * A wrapper of the ami response sent to the client
 */
public class AmiResponseWrapper {

	private AmiResponseBehavior result;
	private Map<String, String> amiResponse;

	/**
	 * Constructor
	 * @param result how to response to the client request 
	 * @param amiResponse the ami response data
	 */
	public AmiResponseWrapper(AmiResponseBehavior result, Map<String, String> amiResponse) {
		this.result = result;
		this.amiResponse = amiResponse;
	}

	/**
	 * @return the result
	 */
	public AmiResponseBehavior getResult() {
		return result;
	}

	/**
	 * @return the amiResponse
	 */
	public Map<String, String> getAmiResponse() {
		return amiResponse;
	}

}
