package com.amirouter.server.model;

import java.io.Serializable;
import javax.persistence.*;
import java.math.BigDecimal;
import java.util.Date;


/**
 * The persistent class for the ex_extensions database table.
 * 
 */
@Entity
@Table(name="ex_extensions")
@NamedQuery(name="ExExtension.findAll", query="SELECT e FROM ExExtension e")
public class ExExtension implements Serializable {
	private static final long serialVersionUID = 1L;
	
	@Column(name="ex_abusedetection", nullable=false, length=10)
	private String exAbusedetection;

	@Column(name="ex_alertemail", nullable=false, length=255)
	private String exAlertemail;

	@Column(name="ex_alertwhenoffline", nullable=false, length=5)
	private String exAlertwhenoffline;

	@Column(name="ex_applyalwaysrpid", nullable=false, length=10)
	private String exApplyalwaysrpid;

	@Column(name="ex_autoanswer", length=20)
	private String exAutoanswer;

	@Column(name="ex_autocallerid", nullable=false, length=10)
	private String exAutocallerid;

	@Column(name="ex_autocidname", nullable=false, length=10)
	private String exAutocidname;

	@Column(name="ex_blockanonymous", nullable=false, length=10)
	private String exBlockanonymous;

	@Column(name="ex_blockcid", nullable=false, length=10)
	private String exBlockcid;

	@Column(name="ex_branch", nullable=false, length=255)
	private String exBranch;

	@Column(name="ex_callallowed", length=40)
	private String exCallallowed;

	@Column(name="ex_callallowedreason", nullable=false, length=40)
	private String exCallallowedreason;

	@Column(name="ex_calleridregexsamesms", nullable=false, length=5)
	private String exCalleridregexsamesms;

	@Column(name="ex_callgroup", nullable=false)
	private Integer exCallgroup;

	@Column(name="ex_callwaiting", nullable=false, length=5)
	private String exCallwaiting;

	@Column(name="ex_cidname", nullable=false, length=255)
	private String exCidname;

	@Column(name="ex_cidnum", nullable=false, length=20)
	private String exCidnum;

	@Column(name="ex_cidusage", nullable=false, length=20)
	private String exCidusage;

	@Column(name="ex_cl_id", nullable=false)
	private Integer exClId;

	@Column(name="ex_costlimits", nullable=false, length=10)
	private String exCostlimits;

	@Column(name="ex_cr_id", nullable=false)
	private Integer exCrId;

	@Column(name="ex_dailycostlimit", precision=10, scale=5)
	private BigDecimal exDailycostlimit;

	@Column(name="ex_dailycostlimitdom", nullable=false, precision=10, scale=5)
	private BigDecimal exDailycostlimitdom;

	@Column(name="ex_dailycostlimitint", nullable=false, precision=10, scale=5)
	private BigDecimal exDailycostlimitint;

	@Column(name="ex_dailycostwarning", precision=10, scale=5)
	private BigDecimal exDailycostwarning;

	@Column(name="ex_dailycostwarningdom", nullable=false, precision=10, scale=5)
	private BigDecimal exDailycostwarningdom;

	@Column(name="ex_dailycostwarningint", nullable=false, precision=10, scale=5)
	private BigDecimal exDailycostwarningint;

	@Temporal(TemporalType.TIMESTAMP)
	@Column(name="ex_datecreation")
	private Date exDatecreation;

	@Column(name="ex_department", nullable=false, length=255)
	private String exDepartment;

	@Column(name="ex_description", nullable=false, length=255)
	private String exDescription;

	@Column(name="ex_destallowregex", length=255)
	private String exDestallowregex;

	@Column(name="ex_dialtimeout", nullable=false)
	private Integer exDialtimeout;

	@Column(name="ex_dn_me_id", nullable=false)
	private Integer exDnMeId;

	@Column(name="ex_dnd", nullable=false, length=16)
	private String exDnd;

	@Column(name="ex_email", nullable=false, length=50)
	private String exEmail;

	@Column(name="ex_emailrecording", nullable=false, length=255)
	private String exEmailrecording;

	@Column(name="ex_emergencycidnum", nullable=false, length=20)
	private String exEmergencycidnum;

	@Column(name="ex_emergencynotes", nullable=false, length=255)
	private String exEmergencynotes;

	@Column(name="ex_enableworkinghours", nullable=false, length=5)
	private String exEnableworkinghours;

	@Column(name="ex_faxalert", nullable=false, length=255)
	private String exFaxalert;

	@Column(name="ex_faxgateway", nullable=false, length=255)
	private String exFaxgateway;

	@Column(name="ex_fmfmcallerid", length=50)
	private String exFmfmcallerid;

	@Column(name="ex_fmfmconfirm", length=2)
	private String exFmfmconfirm;

	@Column(name="ex_fmfmconfirmmessage_id", nullable=false)
	private Integer exFmfmconfirmmessageId;

	@Column(name="ex_fmfmdelay", nullable=false)
	private Integer exFmfmdelay;

	@Column(name="ex_fmfmdialmethod", nullable=false, length=50)
	private String exFmfmdialmethod;

	@Column(name="ex_fmfmdialtimeout", nullable=false)
	private Integer exFmfmdialtimeout;

	@Column(name="ex_fmfmholdmessage_id", nullable=false)
	private Integer exFmfmholdmessageId;

	@Column(name="ex_fmfmnameprefix", nullable=false, length=255)
	private String exFmfmnameprefix;

	@Column(name="ex_fmfmnumber", nullable=false, length=50)
	private String exFmfmnumber;

	@Column(name="ex_fmfmnumprefix", length=255)
	private String exFmfmnumprefix;

	@Column(name="ex_fmfmstatus", length=2)
	private String exFmfmstatus;

	@Column(name="ex_fromfilterregex", nullable=false, length=255)
	private String exFromfilterregex;

	/* NOTE: No primary exist for ex_extensions table but as every JPA entity must have a primary key. 
	 * To avoid error like : No identifier specified for entity
	 * */ 
	@Id
	@Column(name="ex_id", nullable=false)
	private Integer exId;

	@Column(name="ex_ignoreemptyemergcallerid", nullable=false, length=10)
	private String exIgnoreemptyemergcallerid;

	@Column(name="ex_ignoreinternalmissed", length=4)
	private String exIgnoreinternalmissed;

	@Column(name="ex_inboundblockcid", nullable=false, length=10)
	private String exInboundblockcid;

	@Column(name="ex_inboundblockcidname", nullable=false, length=10)
	private String exInboundblockcidname;

	@Column(name="ex_includeindbn", nullable=false, length=10)
	private String exIncludeindbn;

	@Column(name="ex_includeinpb", nullable=false, length=10)
	private String exIncludeinpb;

	@Temporal(TemporalType.TIMESTAMP)
	@Column(name="ex_lastcostalert")
	private Date exLastcostalert;

	@Temporal(TemporalType.TIMESTAMP)
	@Column(name="ex_lastofflinealert")
	private Date exLastofflinealert;

	@Column(name="ex_mailbox", nullable=false, length=50)
	private String exMailbox;

	@Column(name="ex_maxdigitprefix", nullable=false)
	private Integer exMaxdigitprefix;

	@Column(name="ex_mindigitprefix", nullable=false)
	private Integer exMindigitprefix;

	@Column(name="ex_minemailrecording", nullable=false)
	private Integer exMinemailrecording;

	@Column(name="ex_monthlycostlimit", precision=10, scale=5)
	private BigDecimal exMonthlycostlimit;

	@Column(name="ex_monthlycostlimitdom", precision=10, scale=5)
	private BigDecimal exMonthlycostlimitdom;

	@Column(name="ex_monthlycostlimitint", precision=10, scale=5)
	private BigDecimal exMonthlycostlimitint;

	@Column(name="ex_monthlycostwarning", precision=10, scale=5)
	private BigDecimal exMonthlycostwarning;

	@Column(name="ex_monthlycostwarningdom", precision=10, scale=5)
	private BigDecimal exMonthlycostwarningdom;

	@Column(name="ex_monthlycostwarningint", precision=10, scale=5)
	private BigDecimal exMonthlycostwarningint;

	@Column(name="ex_mu_id")
	private Integer exMuId;

	@Column(name="ex_name", nullable=false, length=255)
	private String exName;

//	@Column(name="ex_notes")
//	private Object exNotes;

	@Lob
	@Column(name="ex_notes", nullable=true)
	private byte[] exNotes;

	@Column(name="ex_notifymissingemail", nullable=false, length=255)
	private String exNotifymissingemail;

	@Column(name="ex_number", nullable=false, length=16)
	private String exNumber;

	@Column(name="ex_onbusystatus", length=2)
	private String exOnbusystatus;

	@Column(name="ex_oncondition_id", nullable=false)
	private Integer exOnconditionId;

	@Column(name="ex_onconditionstatus", nullable=false, length=2)
	private String exOnconditionstatus;

	@Column(name="ex_onnoanswerstatus", length=2)
	private String exOnnoanswerstatus;

	@Column(name="ex_onofflinestatus", length=2)
	private String exOnofflinestatus;

	@Column(name="ex_outboundtimeout", nullable=false)
	private Integer exOutboundtimeout;

	@Column(name="ex_overridesippermit", nullable=false, length=5)
	private String exOverridesippermit;

	@Column(name="ex_parkinglot", nullable=false, length=40)
	private String exParkinglot;

	@Column(name="ex_permit", nullable=false, length=500)
	private String exPermit;

	@Column(name="ex_permit_fqdn", nullable=false, length=5)
	private String exPermitFqdn;

	@Column(name="ex_pickupgroup", nullable=false)
	private Integer exPickupgroup;

	@Column(name="ex_prefix", nullable=false, length=10)
	private String exPrefix;

	@Column(name="ex_prefixdefault", nullable=false, length=4)
	private String exPrefixdefault;

	@Column(name="ex_recording", nullable=false, length=16)
	private String exRecording;

	@Column(name="ex_referenceid", nullable=false, length=40)
	private String exReferenceid;

	@Column(name="ex_regexprefix", nullable=false, length=255)
	private String exRegexprefix;

	@Column(name="ex_regexprefixdefault", nullable=false, length=4)
	private String exRegexprefixdefault;

	@Column(name="ex_routecostlimit", precision=10, scale=5)
	private BigDecimal exRoutecostlimit;

	@Column(name="ex_rp_id", nullable=false)
	private Integer exRpId;

	@Column(name="ex_rxvolume", nullable=false, length=10)
	private String exRxvolume;

	@Column(name="ex_sms_rp_id", nullable=false)
	private Integer exSmsRpId;

	@Column(name="ex_smscidnum", nullable=false, length=20)
	private String exSmscidnum;

	@Column(name="ex_spygroups", nullable=false, length=50)
	private String exSpygroups;

	@Column(name="ex_tech", length=1)
	private String exTech;

	@Column(name="ex_tech_id", nullable=false)
	private Integer exTechId;

	@Column(name="ex_trunk", nullable=false, length=10)
	private String exTrunk;

	@Column(name="ex_trunkcidoverride", nullable=false, length=255)
	private String exTrunkcidoverride;

	@Column(name="ex_trunkcidsource", length=50)
	private String exTrunkcidsource;

	@Column(name="ex_trunkdid", nullable=false, length=50)
	private String exTrunkdid;

	@Column(name="ex_trunkemergencycidoverride", nullable=false, length=255)
	private String exTrunkemergencycidoverride;

	@Column(name="ex_txvolume", nullable=false, length=10)
	private String exTxvolume;

	@Column(name="ex_unconditionalstatus", length=2)
	private String exUnconditionalstatus;

	@Column(name="ex_up_id", nullable=false)
	private Integer exUpId;

	@Column(name="ex_useextcallerid", nullable=false, length=5)
	private String exUseextcallerid;

	@Column(name="ex_useragentallowed", nullable=false, length=255)
	private String exUseragentallowed;

	@Column(name="ex_useragentsecurity", nullable=false, length=20)
	private String exUseragentsecurity;

	@Column(name="ex_userpanel", nullable=false, length=10)
	private String exUserpanel;

	@Column(name="ex_webpassword", nullable=false, length=255)
	private String exWebpassword;

	@Column(name="ex_webphone", nullable=false, length=10)
	private String exWebphone;

	@Column(name="ex_webrtcsupport", nullable=false, length=40)
	private String exWebrtcsupport;

	@Column(name="ex_webuseldap", nullable=false, length=10)
	private String exWebuseldap;

	@Column(name="ex_webuser", nullable=false, length=255)
	private String exWebuser;

	@Column(name="ex_workinghours", nullable=false)
	private Integer exWorkinghours;

	//bi-directional many-to-one association to TeTenant
	@ManyToOne
	@JoinColumn(name="ex_te_id", nullable=false)
	private TeTenant teTenant;

	public ExExtension() {
	}

	public String getExAbusedetection() {
		return this.exAbusedetection;
	}

	public void setExAbusedetection(String exAbusedetection) {
		this.exAbusedetection = exAbusedetection;
	}

	public String getExAlertemail() {
		return this.exAlertemail;
	}

	public void setExAlertemail(String exAlertemail) {
		this.exAlertemail = exAlertemail;
	}

	public String getExAlertwhenoffline() {
		return this.exAlertwhenoffline;
	}

	public void setExAlertwhenoffline(String exAlertwhenoffline) {
		this.exAlertwhenoffline = exAlertwhenoffline;
	}

	public String getExApplyalwaysrpid() {
		return this.exApplyalwaysrpid;
	}

	public void setExApplyalwaysrpid(String exApplyalwaysrpid) {
		this.exApplyalwaysrpid = exApplyalwaysrpid;
	}

	public String getExAutoanswer() {
		return this.exAutoanswer;
	}

	public void setExAutoanswer(String exAutoanswer) {
		this.exAutoanswer = exAutoanswer;
	}

	public String getExAutocallerid() {
		return this.exAutocallerid;
	}

	public void setExAutocallerid(String exAutocallerid) {
		this.exAutocallerid = exAutocallerid;
	}

	public String getExAutocidname() {
		return this.exAutocidname;
	}

	public void setExAutocidname(String exAutocidname) {
		this.exAutocidname = exAutocidname;
	}

	public String getExBlockanonymous() {
		return this.exBlockanonymous;
	}

	public void setExBlockanonymous(String exBlockanonymous) {
		this.exBlockanonymous = exBlockanonymous;
	}

	public String getExBlockcid() {
		return this.exBlockcid;
	}

	public void setExBlockcid(String exBlockcid) {
		this.exBlockcid = exBlockcid;
	}

	public String getExBranch() {
		return this.exBranch;
	}

	public void setExBranch(String exBranch) {
		this.exBranch = exBranch;
	}

	public String getExCallallowed() {
		return this.exCallallowed;
	}

	public void setExCallallowed(String exCallallowed) {
		this.exCallallowed = exCallallowed;
	}

	public String getExCallallowedreason() {
		return this.exCallallowedreason;
	}

	public void setExCallallowedreason(String exCallallowedreason) {
		this.exCallallowedreason = exCallallowedreason;
	}

	public String getExCalleridregexsamesms() {
		return this.exCalleridregexsamesms;
	}

	public void setExCalleridregexsamesms(String exCalleridregexsamesms) {
		this.exCalleridregexsamesms = exCalleridregexsamesms;
	}

	public Integer getExCallgroup() {
		return this.exCallgroup;
	}

	public void setExCallgroup(Integer exCallgroup) {
		this.exCallgroup = exCallgroup;
	}

	public String getExCallwaiting() {
		return this.exCallwaiting;
	}

	public void setExCallwaiting(String exCallwaiting) {
		this.exCallwaiting = exCallwaiting;
	}

	public String getExCidname() {
		return this.exCidname;
	}

	public void setExCidname(String exCidname) {
		this.exCidname = exCidname;
	}

	public String getExCidnum() {
		return this.exCidnum;
	}

	public void setExCidnum(String exCidnum) {
		this.exCidnum = exCidnum;
	}

	public String getExCidusage() {
		return this.exCidusage;
	}

	public void setExCidusage(String exCidusage) {
		this.exCidusage = exCidusage;
	}

	public Integer getExClId() {
		return this.exClId;
	}

	public void setExClId(Integer exClId) {
		this.exClId = exClId;
	}

	public String getExCostlimits() {
		return this.exCostlimits;
	}

	public void setExCostlimits(String exCostlimits) {
		this.exCostlimits = exCostlimits;
	}

	public Integer getExCrId() {
		return this.exCrId;
	}

	public void setExCrId(Integer exCrId) {
		this.exCrId = exCrId;
	}

	public BigDecimal getExDailycostlimit() {
		return this.exDailycostlimit;
	}

	public void setExDailycostlimit(BigDecimal exDailycostlimit) {
		this.exDailycostlimit = exDailycostlimit;
	}

	public BigDecimal getExDailycostlimitdom() {
		return this.exDailycostlimitdom;
	}

	public void setExDailycostlimitdom(BigDecimal exDailycostlimitdom) {
		this.exDailycostlimitdom = exDailycostlimitdom;
	}

	public BigDecimal getExDailycostlimitint() {
		return this.exDailycostlimitint;
	}

	public void setExDailycostlimitint(BigDecimal exDailycostlimitint) {
		this.exDailycostlimitint = exDailycostlimitint;
	}

	public BigDecimal getExDailycostwarning() {
		return this.exDailycostwarning;
	}

	public void setExDailycostwarning(BigDecimal exDailycostwarning) {
		this.exDailycostwarning = exDailycostwarning;
	}

	public BigDecimal getExDailycostwarningdom() {
		return this.exDailycostwarningdom;
	}

	public void setExDailycostwarningdom(BigDecimal exDailycostwarningdom) {
		this.exDailycostwarningdom = exDailycostwarningdom;
	}

	public BigDecimal getExDailycostwarningint() {
		return this.exDailycostwarningint;
	}

	public void setExDailycostwarningint(BigDecimal exDailycostwarningint) {
		this.exDailycostwarningint = exDailycostwarningint;
	}

	public Date getExDatecreation() {
		return this.exDatecreation;
	}

	public void setExDatecreation(Date exDatecreation) {
		this.exDatecreation = exDatecreation;
	}

	public String getExDepartment() {
		return this.exDepartment;
	}

	public void setExDepartment(String exDepartment) {
		this.exDepartment = exDepartment;
	}

	public String getExDescription() {
		return this.exDescription;
	}

	public void setExDescription(String exDescription) {
		this.exDescription = exDescription;
	}

	public String getExDestallowregex() {
		return this.exDestallowregex;
	}

	public void setExDestallowregex(String exDestallowregex) {
		this.exDestallowregex = exDestallowregex;
	}

	public Integer getExDialtimeout() {
		return this.exDialtimeout;
	}

	public void setExDialtimeout(Integer exDialtimeout) {
		this.exDialtimeout = exDialtimeout;
	}

	public Integer getExDnMeId() {
		return this.exDnMeId;
	}

	public void setExDnMeId(Integer exDnMeId) {
		this.exDnMeId = exDnMeId;
	}

	public String getExDnd() {
		return this.exDnd;
	}

	public void setExDnd(String exDnd) {
		this.exDnd = exDnd;
	}

	public String getExEmail() {
		return this.exEmail;
	}

	public void setExEmail(String exEmail) {
		this.exEmail = exEmail;
	}

	public String getExEmailrecording() {
		return this.exEmailrecording;
	}

	public void setExEmailrecording(String exEmailrecording) {
		this.exEmailrecording = exEmailrecording;
	}

	public String getExEmergencycidnum() {
		return this.exEmergencycidnum;
	}

	public void setExEmergencycidnum(String exEmergencycidnum) {
		this.exEmergencycidnum = exEmergencycidnum;
	}

	public String getExEmergencynotes() {
		return this.exEmergencynotes;
	}

	public void setExEmergencynotes(String exEmergencynotes) {
		this.exEmergencynotes = exEmergencynotes;
	}

	public String getExEnableworkinghours() {
		return this.exEnableworkinghours;
	}

	public void setExEnableworkinghours(String exEnableworkinghours) {
		this.exEnableworkinghours = exEnableworkinghours;
	}

	public String getExFaxalert() {
		return this.exFaxalert;
	}

	public void setExFaxalert(String exFaxalert) {
		this.exFaxalert = exFaxalert;
	}

	public String getExFaxgateway() {
		return this.exFaxgateway;
	}

	public void setExFaxgateway(String exFaxgateway) {
		this.exFaxgateway = exFaxgateway;
	}

	public String getExFmfmcallerid() {
		return this.exFmfmcallerid;
	}

	public void setExFmfmcallerid(String exFmfmcallerid) {
		this.exFmfmcallerid = exFmfmcallerid;
	}

	public String getExFmfmconfirm() {
		return this.exFmfmconfirm;
	}

	public void setExFmfmconfirm(String exFmfmconfirm) {
		this.exFmfmconfirm = exFmfmconfirm;
	}

	public Integer getExFmfmconfirmmessageId() {
		return this.exFmfmconfirmmessageId;
	}

	public void setExFmfmconfirmmessageId(Integer exFmfmconfirmmessageId) {
		this.exFmfmconfirmmessageId = exFmfmconfirmmessageId;
	}

	public Integer getExFmfmdelay() {
		return this.exFmfmdelay;
	}

	public void setExFmfmdelay(Integer exFmfmdelay) {
		this.exFmfmdelay = exFmfmdelay;
	}

	public String getExFmfmdialmethod() {
		return this.exFmfmdialmethod;
	}

	public void setExFmfmdialmethod(String exFmfmdialmethod) {
		this.exFmfmdialmethod = exFmfmdialmethod;
	}

	public Integer getExFmfmdialtimeout() {
		return this.exFmfmdialtimeout;
	}

	public void setExFmfmdialtimeout(Integer exFmfmdialtimeout) {
		this.exFmfmdialtimeout = exFmfmdialtimeout;
	}

	public Integer getExFmfmholdmessageId() {
		return this.exFmfmholdmessageId;
	}

	public void setExFmfmholdmessageId(Integer exFmfmholdmessageId) {
		this.exFmfmholdmessageId = exFmfmholdmessageId;
	}

	public String getExFmfmnameprefix() {
		return this.exFmfmnameprefix;
	}

	public void setExFmfmnameprefix(String exFmfmnameprefix) {
		this.exFmfmnameprefix = exFmfmnameprefix;
	}

	public String getExFmfmnumber() {
		return this.exFmfmnumber;
	}

	public void setExFmfmnumber(String exFmfmnumber) {
		this.exFmfmnumber = exFmfmnumber;
	}

	public String getExFmfmnumprefix() {
		return this.exFmfmnumprefix;
	}

	public void setExFmfmnumprefix(String exFmfmnumprefix) {
		this.exFmfmnumprefix = exFmfmnumprefix;
	}

	public String getExFmfmstatus() {
		return this.exFmfmstatus;
	}

	public void setExFmfmstatus(String exFmfmstatus) {
		this.exFmfmstatus = exFmfmstatus;
	}

	public String getExFromfilterregex() {
		return this.exFromfilterregex;
	}

	public void setExFromfilterregex(String exFromfilterregex) {
		this.exFromfilterregex = exFromfilterregex;
	}

	public Integer getExId() {
		return this.exId;
	}

	public void setExId(Integer exId) {
		this.exId = exId;
	}

	public String getExIgnoreemptyemergcallerid() {
		return this.exIgnoreemptyemergcallerid;
	}

	public void setExIgnoreemptyemergcallerid(String exIgnoreemptyemergcallerid) {
		this.exIgnoreemptyemergcallerid = exIgnoreemptyemergcallerid;
	}

	public String getExIgnoreinternalmissed() {
		return this.exIgnoreinternalmissed;
	}

	public void setExIgnoreinternalmissed(String exIgnoreinternalmissed) {
		this.exIgnoreinternalmissed = exIgnoreinternalmissed;
	}

	public String getExInboundblockcid() {
		return this.exInboundblockcid;
	}

	public void setExInboundblockcid(String exInboundblockcid) {
		this.exInboundblockcid = exInboundblockcid;
	}

	public String getExInboundblockcidname() {
		return this.exInboundblockcidname;
	}

	public void setExInboundblockcidname(String exInboundblockcidname) {
		this.exInboundblockcidname = exInboundblockcidname;
	}

	public String getExIncludeindbn() {
		return this.exIncludeindbn;
	}

	public void setExIncludeindbn(String exIncludeindbn) {
		this.exIncludeindbn = exIncludeindbn;
	}

	public String getExIncludeinpb() {
		return this.exIncludeinpb;
	}

	public void setExIncludeinpb(String exIncludeinpb) {
		this.exIncludeinpb = exIncludeinpb;
	}

	public Date getExLastcostalert() {
		return this.exLastcostalert;
	}

	public void setExLastcostalert(Date exLastcostalert) {
		this.exLastcostalert = exLastcostalert;
	}

	public Date getExLastofflinealert() {
		return this.exLastofflinealert;
	}

	public void setExLastofflinealert(Date exLastofflinealert) {
		this.exLastofflinealert = exLastofflinealert;
	}

	public String getExMailbox() {
		return this.exMailbox;
	}

	public void setExMailbox(String exMailbox) {
		this.exMailbox = exMailbox;
	}

	public Integer getExMaxdigitprefix() {
		return this.exMaxdigitprefix;
	}

	public void setExMaxdigitprefix(Integer exMaxdigitprefix) {
		this.exMaxdigitprefix = exMaxdigitprefix;
	}

	public Integer getExMindigitprefix() {
		return this.exMindigitprefix;
	}

	public void setExMindigitprefix(Integer exMindigitprefix) {
		this.exMindigitprefix = exMindigitprefix;
	}

	public Integer getExMinemailrecording() {
		return this.exMinemailrecording;
	}

	public void setExMinemailrecording(Integer exMinemailrecording) {
		this.exMinemailrecording = exMinemailrecording;
	}

	public BigDecimal getExMonthlycostlimit() {
		return this.exMonthlycostlimit;
	}

	public void setExMonthlycostlimit(BigDecimal exMonthlycostlimit) {
		this.exMonthlycostlimit = exMonthlycostlimit;
	}

	public BigDecimal getExMonthlycostlimitdom() {
		return this.exMonthlycostlimitdom;
	}

	public void setExMonthlycostlimitdom(BigDecimal exMonthlycostlimitdom) {
		this.exMonthlycostlimitdom = exMonthlycostlimitdom;
	}

	public BigDecimal getExMonthlycostlimitint() {
		return this.exMonthlycostlimitint;
	}

	public void setExMonthlycostlimitint(BigDecimal exMonthlycostlimitint) {
		this.exMonthlycostlimitint = exMonthlycostlimitint;
	}

	public BigDecimal getExMonthlycostwarning() {
		return this.exMonthlycostwarning;
	}

	public void setExMonthlycostwarning(BigDecimal exMonthlycostwarning) {
		this.exMonthlycostwarning = exMonthlycostwarning;
	}

	public BigDecimal getExMonthlycostwarningdom() {
		return this.exMonthlycostwarningdom;
	}

	public void setExMonthlycostwarningdom(BigDecimal exMonthlycostwarningdom) {
		this.exMonthlycostwarningdom = exMonthlycostwarningdom;
	}

	public BigDecimal getExMonthlycostwarningint() {
		return this.exMonthlycostwarningint;
	}

	public void setExMonthlycostwarningint(BigDecimal exMonthlycostwarningint) {
		this.exMonthlycostwarningint = exMonthlycostwarningint;
	}

	public Integer getExMuId() {
		return this.exMuId;
	}

	public void setExMuId(Integer exMuId) {
		this.exMuId = exMuId;
	}

	public String getExName() {
		return this.exName;
	}

	public void setExName(String exName) {
		this.exName = exName;
	}

//	public Object getExNotes() {
//		return this.exNotes;
//	}
//
//	public void setExNotes(Object exNotes) {
//		this.exNotes = exNotes;
//	}
	
	public byte[] getExNotes() {
		return this.exNotes;
	}

	public void setExNotes(byte[] exNotes) {
		this.exNotes = exNotes;
	}
	

	public String getExNotifymissingemail() {
		return this.exNotifymissingemail;
	}

	public void setExNotifymissingemail(String exNotifymissingemail) {
		this.exNotifymissingemail = exNotifymissingemail;
	}

	public String getExNumber() {
		return this.exNumber;
	}

	public void setExNumber(String exNumber) {
		this.exNumber = exNumber;
	}

	public String getExOnbusystatus() {
		return this.exOnbusystatus;
	}

	public void setExOnbusystatus(String exOnbusystatus) {
		this.exOnbusystatus = exOnbusystatus;
	}

	public Integer getExOnconditionId() {
		return this.exOnconditionId;
	}

	public void setExOnconditionId(Integer exOnconditionId) {
		this.exOnconditionId = exOnconditionId;
	}

	public String getExOnconditionstatus() {
		return this.exOnconditionstatus;
	}

	public void setExOnconditionstatus(String exOnconditionstatus) {
		this.exOnconditionstatus = exOnconditionstatus;
	}

	public String getExOnnoanswerstatus() {
		return this.exOnnoanswerstatus;
	}

	public void setExOnnoanswerstatus(String exOnnoanswerstatus) {
		this.exOnnoanswerstatus = exOnnoanswerstatus;
	}

	public String getExOnofflinestatus() {
		return this.exOnofflinestatus;
	}

	public void setExOnofflinestatus(String exOnofflinestatus) {
		this.exOnofflinestatus = exOnofflinestatus;
	}

	public Integer getExOutboundtimeout() {
		return this.exOutboundtimeout;
	}

	public void setExOutboundtimeout(Integer exOutboundtimeout) {
		this.exOutboundtimeout = exOutboundtimeout;
	}

	public String getExOverridesippermit() {
		return this.exOverridesippermit;
	}

	public void setExOverridesippermit(String exOverridesippermit) {
		this.exOverridesippermit = exOverridesippermit;
	}

	public String getExParkinglot() {
		return this.exParkinglot;
	}

	public void setExParkinglot(String exParkinglot) {
		this.exParkinglot = exParkinglot;
	}

	public String getExPermit() {
		return this.exPermit;
	}

	public void setExPermit(String exPermit) {
		this.exPermit = exPermit;
	}

	public String getExPermitFqdn() {
		return this.exPermitFqdn;
	}

	public void setExPermitFqdn(String exPermitFqdn) {
		this.exPermitFqdn = exPermitFqdn;
	}

	public Integer getExPickupgroup() {
		return this.exPickupgroup;
	}

	public void setExPickupgroup(Integer exPickupgroup) {
		this.exPickupgroup = exPickupgroup;
	}

	public String getExPrefix() {
		return this.exPrefix;
	}

	public void setExPrefix(String exPrefix) {
		this.exPrefix = exPrefix;
	}

	public String getExPrefixdefault() {
		return this.exPrefixdefault;
	}

	public void setExPrefixdefault(String exPrefixdefault) {
		this.exPrefixdefault = exPrefixdefault;
	}

	public String getExRecording() {
		return this.exRecording;
	}

	public void setExRecording(String exRecording) {
		this.exRecording = exRecording;
	}

	public String getExReferenceid() {
		return this.exReferenceid;
	}

	public void setExReferenceid(String exReferenceid) {
		this.exReferenceid = exReferenceid;
	}

	public String getExRegexprefix() {
		return this.exRegexprefix;
	}

	public void setExRegexprefix(String exRegexprefix) {
		this.exRegexprefix = exRegexprefix;
	}

	public String getExRegexprefixdefault() {
		return this.exRegexprefixdefault;
	}

	public void setExRegexprefixdefault(String exRegexprefixdefault) {
		this.exRegexprefixdefault = exRegexprefixdefault;
	}

	public BigDecimal getExRoutecostlimit() {
		return this.exRoutecostlimit;
	}

	public void setExRoutecostlimit(BigDecimal exRoutecostlimit) {
		this.exRoutecostlimit = exRoutecostlimit;
	}

	public Integer getExRpId() {
		return this.exRpId;
	}

	public void setExRpId(Integer exRpId) {
		this.exRpId = exRpId;
	}

	public String getExRxvolume() {
		return this.exRxvolume;
	}

	public void setExRxvolume(String exRxvolume) {
		this.exRxvolume = exRxvolume;
	}

	public Integer getExSmsRpId() {
		return this.exSmsRpId;
	}

	public void setExSmsRpId(Integer exSmsRpId) {
		this.exSmsRpId = exSmsRpId;
	}

	public String getExSmscidnum() {
		return this.exSmscidnum;
	}

	public void setExSmscidnum(String exSmscidnum) {
		this.exSmscidnum = exSmscidnum;
	}

	public String getExSpygroups() {
		return this.exSpygroups;
	}

	public void setExSpygroups(String exSpygroups) {
		this.exSpygroups = exSpygroups;
	}

	public String getExTech() {
		return this.exTech;
	}

	public void setExTech(String exTech) {
		this.exTech = exTech;
	}

	public Integer getExTechId() {
		return this.exTechId;
	}

	public void setExTechId(Integer exTechId) {
		this.exTechId = exTechId;
	}

	public String getExTrunk() {
		return this.exTrunk;
	}

	public void setExTrunk(String exTrunk) {
		this.exTrunk = exTrunk;
	}

	public String getExTrunkcidoverride() {
		return this.exTrunkcidoverride;
	}

	public void setExTrunkcidoverride(String exTrunkcidoverride) {
		this.exTrunkcidoverride = exTrunkcidoverride;
	}

	public String getExTrunkcidsource() {
		return this.exTrunkcidsource;
	}

	public void setExTrunkcidsource(String exTrunkcidsource) {
		this.exTrunkcidsource = exTrunkcidsource;
	}

	public String getExTrunkdid() {
		return this.exTrunkdid;
	}

	public void setExTrunkdid(String exTrunkdid) {
		this.exTrunkdid = exTrunkdid;
	}

	public String getExTrunkemergencycidoverride() {
		return this.exTrunkemergencycidoverride;
	}

	public void setExTrunkemergencycidoverride(String exTrunkemergencycidoverride) {
		this.exTrunkemergencycidoverride = exTrunkemergencycidoverride;
	}

	public String getExTxvolume() {
		return this.exTxvolume;
	}

	public void setExTxvolume(String exTxvolume) {
		this.exTxvolume = exTxvolume;
	}

	public String getExUnconditionalstatus() {
		return this.exUnconditionalstatus;
	}

	public void setExUnconditionalstatus(String exUnconditionalstatus) {
		this.exUnconditionalstatus = exUnconditionalstatus;
	}

	public Integer getExUpId() {
		return this.exUpId;
	}

	public void setExUpId(Integer exUpId) {
		this.exUpId = exUpId;
	}

	public String getExUseextcallerid() {
		return this.exUseextcallerid;
	}

	public void setExUseextcallerid(String exUseextcallerid) {
		this.exUseextcallerid = exUseextcallerid;
	}

	public String getExUseragentallowed() {
		return this.exUseragentallowed;
	}

	public void setExUseragentallowed(String exUseragentallowed) {
		this.exUseragentallowed = exUseragentallowed;
	}

	public String getExUseragentsecurity() {
		return this.exUseragentsecurity;
	}

	public void setExUseragentsecurity(String exUseragentsecurity) {
		this.exUseragentsecurity = exUseragentsecurity;
	}

	public String getExUserpanel() {
		return this.exUserpanel;
	}

	public void setExUserpanel(String exUserpanel) {
		this.exUserpanel = exUserpanel;
	}

	public String getExWebpassword() {
		return this.exWebpassword;
	}

	public void setExWebpassword(String exWebpassword) {
		this.exWebpassword = exWebpassword;
	}

	public String getExWebphone() {
		return this.exWebphone;
	}

	public void setExWebphone(String exWebphone) {
		this.exWebphone = exWebphone;
	}

	public String getExWebrtcsupport() {
		return this.exWebrtcsupport;
	}

	public void setExWebrtcsupport(String exWebrtcsupport) {
		this.exWebrtcsupport = exWebrtcsupport;
	}

	public String getExWebuseldap() {
		return this.exWebuseldap;
	}

	public void setExWebuseldap(String exWebuseldap) {
		this.exWebuseldap = exWebuseldap;
	}

	public String getExWebuser() {
		return this.exWebuser;
	}

	public void setExWebuser(String exWebuser) {
		this.exWebuser = exWebuser;
	}

	public Integer getExWorkinghours() {
		return this.exWorkinghours;
	}

	public void setExWorkinghours(Integer exWorkinghours) {
		this.exWorkinghours = exWorkinghours;
	}

	public TeTenant getTeTenant() {
		return this.teTenant;
	}

	public void setTeTenant(TeTenant teTenant) {
		this.teTenant = teTenant;
	}

}