package com.amirouter.server.model;

import java.io.Serializable;
import javax.persistence.*;


/**
 * The persistent class for the mu_managerusers database table.
 * 
 */
@Entity
@Table(name="mu_managerusers")
@NamedQuery(name="MuManageruser.findAll", query="SELECT m FROM MuManageruser m")
public class MuManageruser implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	@Column(name="mu_id", unique=true, nullable=false)
	private Integer muId;

	@Column(name="mu_description", nullable=false, length=255)
	private String muDescription;

	@Column(name="mu_name", nullable=false, length=255)
	private String muName;

	@Column(name="mu_password", nullable=false, length=255)
	private String muPassword;

	//bi-directional many-to-one association to TeTenant
	@ManyToOne
	@JoinColumn(name="mu_te_id", nullable=false)
	private TeTenant teTenant;

	public MuManageruser() {
	}

	public Integer getMuId() {
		return this.muId;
	}

	public void setMuId(Integer muId) {
		this.muId = muId;
	}

	public String getMuDescription() {
		return this.muDescription;
	}

	public void setMuDescription(String muDescription) {
		this.muDescription = muDescription;
	}

	public String getMuName() {
		return this.muName;
	}

	public void setMuName(String muName) {
		this.muName = muName;
	}

	public String getMuPassword() {
		return this.muPassword;
	}

	public void setMuPassword(String muPassword) {
		this.muPassword = muPassword;
	}

	public TeTenant getTeTenant() {
		return this.teTenant;
	}

	public void setTeTenant(TeTenant teTenant) {
		this.teTenant = teTenant;
	}

}