package com.amirouter.server.model;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;


/**
 * The persistent class for the no_nodes database table.
 * 
 */
@Entity
@Table(name="no_nodes")
@NamedQuery(name="NoNode.findAll", query="SELECT n FROM NoNode n")
public class NoNode implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	@Column(name="no_id", unique=true, nullable=false)
	private Integer noId;

	@Column(name="no_autorestart", nullable=false, length=10)
	private String noAutorestart;

	@Column(name="no_autorestartdelay", nullable=false)
	private Integer noAutorestartdelay;

	@Column(name="no_cores")
	private Integer noCores;

	@Temporal(TemporalType.TIMESTAMP)
	@Column(name="no_croncheck")
	private Date noCroncheck;

	@Column(name="no_dahdistatus", nullable=false, length=255)
	private String noDahdistatus;

	@Temporal(TemporalType.TIMESTAMP)
	@Column(name="no_devstate_ping")
	private Date noDevstatePing;

	@Temporal(TemporalType.TIMESTAMP)
	@Column(name="no_devstate_pong")
	private Date noDevstatePong;

	@Temporal(TemporalType.TIMESTAMP)
	@Column(name="no_devstatecheck")
	private Date noDevstatecheck;

	@Column(name="no_devstateversion", nullable=false)
	private Integer noDevstateversion;

	@Column(name="no_disk", length=255)
	private String noDisk;

	@Column(name="no_f2biphash", nullable=false, length=255)
	private String noF2biphash;

	@Column(name="no_firewallhash", nullable=false, length=255)
	private String noFirewallhash;

	@Column(name="no_geoipdata", nullable=false, length=255)
	private String noGeoipdata;

	@Column(name="no_geoipstatus", nullable=false, length=255)
	private String noGeoipstatus;

	@Column(name="no_healthcheckcount", nullable=false)
	private Integer noHealthcheckcount;

	@Column(name="no_healthcheckport", nullable=false, length=10)
	private String noHealthcheckport;

	@Column(name="no_healthcheckstatus", nullable=false, length=10)
	private String noHealthcheckstatus;

	@Temporal(TemporalType.TIMESTAMP)
	@Column(name="no_housekeepingend", nullable=false)
	private Date noHousekeepingend;

	@Temporal(TemporalType.TIMESTAMP)
	@Column(name="no_housekeepingrun", nullable=false)
	private Date noHousekeepingrun;

	@Column(name="no_ipaddress", nullable=false, length=50)
	private String noIpaddress;

	@Temporal(TemporalType.TIMESTAMP)
	@Column(name="no_lastautorestartdate")
	private Date noLastautorestartdate;

	@Column(name="no_load", length=255)
	private String noLoad;

	@Column(name="no_managerpassword", length=255)
	private String noManagerpassword;

	@Column(name="no_manageruser", length=255)
	private String noManageruser;

	@Column(name="no_mem", length=255)
	private String noMem;

	@Column(name="no_mirtapbxversion", nullable=false, length=40)
	private String noMirtapbxversion;

	@Column(name="no_name", nullable=false, length=255)
	private String noName;

	@Column(name="no_peername", nullable=false, length=255)
	private String noPeername;

	@Column(name="no_swap", length=255)
	private String noSwap;

	@Column(name="no_uuid", nullable=false, length=255)
	private String noUuid;

	@Column(name="no_voipmonitor", nullable=false, length=10)
	private String noVoipmonitor;

	@Column(name="no_voipmonitorstatus", nullable=false, length=50)
	private String noVoipmonitorstatus;

	public NoNode() {
	}

	public Integer getNoId() {
		return this.noId;
	}

	public void setNoId(Integer noId) {
		this.noId = noId;
	}

	public String getNoAutorestart() {
		return this.noAutorestart;
	}

	public void setNoAutorestart(String noAutorestart) {
		this.noAutorestart = noAutorestart;
	}

	public Integer getNoAutorestartdelay() {
		return this.noAutorestartdelay;
	}

	public void setNoAutorestartdelay(Integer noAutorestartdelay) {
		this.noAutorestartdelay = noAutorestartdelay;
	}

	public Integer getNoCores() {
		return this.noCores;
	}

	public void setNoCores(Integer noCores) {
		this.noCores = noCores;
	}

	public Date getNoCroncheck() {
		return this.noCroncheck;
	}

	public void setNoCroncheck(Date noCroncheck) {
		this.noCroncheck = noCroncheck;
	}

	public String getNoDahdistatus() {
		return this.noDahdistatus;
	}

	public void setNoDahdistatus(String noDahdistatus) {
		this.noDahdistatus = noDahdistatus;
	}

	public Date getNoDevstatePing() {
		return this.noDevstatePing;
	}

	public void setNoDevstatePing(Date noDevstatePing) {
		this.noDevstatePing = noDevstatePing;
	}

	public Date getNoDevstatePong() {
		return this.noDevstatePong;
	}

	public void setNoDevstatePong(Date noDevstatePong) {
		this.noDevstatePong = noDevstatePong;
	}

	public Date getNoDevstatecheck() {
		return this.noDevstatecheck;
	}

	public void setNoDevstatecheck(Date noDevstatecheck) {
		this.noDevstatecheck = noDevstatecheck;
	}

	public Integer getNoDevstateversion() {
		return this.noDevstateversion;
	}

	public void setNoDevstateversion(Integer noDevstateversion) {
		this.noDevstateversion = noDevstateversion;
	}

	public String getNoDisk() {
		return this.noDisk;
	}

	public void setNoDisk(String noDisk) {
		this.noDisk = noDisk;
	}

	public String getNoF2biphash() {
		return this.noF2biphash;
	}

	public void setNoF2biphash(String noF2biphash) {
		this.noF2biphash = noF2biphash;
	}

	public String getNoFirewallhash() {
		return this.noFirewallhash;
	}

	public void setNoFirewallhash(String noFirewallhash) {
		this.noFirewallhash = noFirewallhash;
	}

	public String getNoGeoipdata() {
		return this.noGeoipdata;
	}

	public void setNoGeoipdata(String noGeoipdata) {
		this.noGeoipdata = noGeoipdata;
	}

	public String getNoGeoipstatus() {
		return this.noGeoipstatus;
	}

	public void setNoGeoipstatus(String noGeoipstatus) {
		this.noGeoipstatus = noGeoipstatus;
	}

	public Integer getNoHealthcheckcount() {
		return this.noHealthcheckcount;
	}

	public void setNoHealthcheckcount(Integer noHealthcheckcount) {
		this.noHealthcheckcount = noHealthcheckcount;
	}

	public String getNoHealthcheckport() {
		return this.noHealthcheckport;
	}

	public void setNoHealthcheckport(String noHealthcheckport) {
		this.noHealthcheckport = noHealthcheckport;
	}

	public String getNoHealthcheckstatus() {
		return this.noHealthcheckstatus;
	}

	public void setNoHealthcheckstatus(String noHealthcheckstatus) {
		this.noHealthcheckstatus = noHealthcheckstatus;
	}

	public Date getNoHousekeepingend() {
		return this.noHousekeepingend;
	}

	public void setNoHousekeepingend(Date noHousekeepingend) {
		this.noHousekeepingend = noHousekeepingend;
	}

	public Date getNoHousekeepingrun() {
		return this.noHousekeepingrun;
	}

	public void setNoHousekeepingrun(Date noHousekeepingrun) {
		this.noHousekeepingrun = noHousekeepingrun;
	}

	public String getNoIpaddress() {
		return this.noIpaddress;
	}

	public void setNoIpaddress(String noIpaddress) {
		this.noIpaddress = noIpaddress;
	}

	public Date getNoLastautorestartdate() {
		return this.noLastautorestartdate;
	}

	public void setNoLastautorestartdate(Date noLastautorestartdate) {
		this.noLastautorestartdate = noLastautorestartdate;
	}

	public String getNoLoad() {
		return this.noLoad;
	}

	public void setNoLoad(String noLoad) {
		this.noLoad = noLoad;
	}

	public String getNoManagerpassword() {
		return this.noManagerpassword;
	}

	public void setNoManagerpassword(String noManagerpassword) {
		this.noManagerpassword = noManagerpassword;
	}

	public String getNoManageruser() {
		return this.noManageruser;
	}

	public void setNoManageruser(String noManageruser) {
		this.noManageruser = noManageruser;
	}

	public String getNoMem() {
		return this.noMem;
	}

	public void setNoMem(String noMem) {
		this.noMem = noMem;
	}

	public String getNoMirtapbxversion() {
		return this.noMirtapbxversion;
	}

	public void setNoMirtapbxversion(String noMirtapbxversion) {
		this.noMirtapbxversion = noMirtapbxversion;
	}

	public String getNoName() {
		return this.noName;
	}

	public void setNoName(String noName) {
		this.noName = noName;
	}

	public String getNoPeername() {
		return this.noPeername;
	}

	public void setNoPeername(String noPeername) {
		this.noPeername = noPeername;
	}

	public String getNoSwap() {
		return this.noSwap;
	}

	public void setNoSwap(String noSwap) {
		this.noSwap = noSwap;
	}

	public String getNoUuid() {
		return this.noUuid;
	}

	public void setNoUuid(String noUuid) {
		this.noUuid = noUuid;
	}

	public String getNoVoipmonitor() {
		return this.noVoipmonitor;
	}

	public void setNoVoipmonitor(String noVoipmonitor) {
		this.noVoipmonitor = noVoipmonitor;
	}

	public String getNoVoipmonitorstatus() {
		return this.noVoipmonitorstatus;
	}

	public void setNoVoipmonitorstatus(String noVoipmonitorstatus) {
		this.noVoipmonitorstatus = noVoipmonitorstatus;
	}

}