package com.amirouter.server.model;

import java.io.Serializable;
import javax.persistence.*;
import java.math.BigInteger;


/**
 * The persistent class for the ps_contacts database table.
 * 
 */
@Entity
@Table(name="ps_contacts")
@NamedQuery(name="PsContact.findAll", query="SELECT p FROM PsContact p")
public class PsContact implements Serializable {
	private static final long serialVersionUID = 1L;

	@Column(name="authenticate_qualify", length=1)
	private String authenticateQualify;

	@Column(name="call_id", length=255)
	private String callId;

	@Column(length=40)
	private String endpoint;

	@Column(name="expiration_time")
	private BigInteger expirationTime;

	@Id
	@Column(length=255)
	private String id;

	@Column(name="outbound_proxy", length=40)
	private String outboundProxy;

	@Lob
	private String path;

	@Column(name="prune_on_boot", length=1)
	private String pruneOnBoot;

	@Column(name="qualify_frequency")
	private int qualifyFrequency;

	@Column(name="qualify_timeout")
	private float qualifyTimeout;

	@Column(name="reg_server", length=255)
	private String regServer;

	@Column(name="RoundtripUsec", nullable=false, length=10)
	private String roundtripUsec;

	@Column(length=255)
	private String uri;

	@Column(name="user_agent", length=255)
	private String userAgent;

	@Column(name="via_addr", length=40)
	private String viaAddr;

	@Column(name="via_port")
	private int viaPort;

	public PsContact() {
	}

	public String getAuthenticateQualify() {
		return this.authenticateQualify;
	}

	public void setAuthenticateQualify(String authenticateQualify) {
		this.authenticateQualify = authenticateQualify;
	}

	public String getCallId() {
		return this.callId;
	}

	public void setCallId(String callId) {
		this.callId = callId;
	}

	public String getEndpoint() {
		return this.endpoint;
	}

	public void setEndpoint(String endpoint) {
		this.endpoint = endpoint;
	}

	public BigInteger getExpirationTime() {
		return this.expirationTime;
	}

	public void setExpirationTime(BigInteger expirationTime) {
		this.expirationTime = expirationTime;
	}

	public String getId() {
		return this.id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getOutboundProxy() {
		return this.outboundProxy;
	}

	public void setOutboundProxy(String outboundProxy) {
		this.outboundProxy = outboundProxy;
	}

	public String getPath() {
		return this.path;
	}

	public void setPath(String path) {
		this.path = path;
	}

	public String getPruneOnBoot() {
		return this.pruneOnBoot;
	}

	public void setPruneOnBoot(String pruneOnBoot) {
		this.pruneOnBoot = pruneOnBoot;
	}

	public int getQualifyFrequency() {
		return this.qualifyFrequency;
	}

	public void setQualifyFrequency(int qualifyFrequency) {
		this.qualifyFrequency = qualifyFrequency;
	}

	public float getQualifyTimeout() {
		return this.qualifyTimeout;
	}

	public void setQualifyTimeout(float qualifyTimeout) {
		this.qualifyTimeout = qualifyTimeout;
	}

	public String getRegServer() {
		return this.regServer;
	}

	public void setRegServer(String regServer) {
		this.regServer = regServer;
	}

	public String getRoundtripUsec() {
		return this.roundtripUsec;
	}

	public void setRoundtripUsec(String roundtripUsec) {
		this.roundtripUsec = roundtripUsec;
	}

	public String getUri() {
		return this.uri;
	}

	public void setUri(String uri) {
		this.uri = uri;
	}

	public String getUserAgent() {
		return this.userAgent;
	}

	public void setUserAgent(String userAgent) {
		this.userAgent = userAgent;
	}

	public String getViaAddr() {
		return this.viaAddr;
	}

	public void setViaAddr(String viaAddr) {
		this.viaAddr = viaAddr;
	}

	public int getViaPort() {
		return this.viaPort;
	}

	public void setViaPort(int viaPort) {
		this.viaPort = viaPort;
	}

}