package com.amirouter.server.model;

import java.io.Serializable;
import javax.persistence.*;


/**
 * The persistent class for the ps_endpoints database table.
 * 
 */
@Entity
@Table(name="ps_endpoints")
@NamedQuery(name="PsEndpoint.findAll", query="SELECT p FROM PsEndpoint p")
public class PsEndpoint implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	@Column(name="tech_id", unique=true, nullable=false)
	private int techId;

	@Column(name="100rel", length=1)
	private String _00rel;

	@Column(length=20)
	private String accountcode;

	@Column(length=40)
	private String acl;

	@Column(name="aggregate_mwi", length=1)
	private String aggregateMwi;

	@Column(length=200)
	private String allow;

	@Column(name="allow_subscribe", length=1)
	private String allowSubscribe;

	@Column(name="allow_transfer", length=1)
	private String allowTransfer;

	@Column(length=200)
	private String aors;

	@Column(name="asymmetric_rtp_codec", length=1)
	private String asymmetricRtpCodec;

	@Column(length=40)
	private String auth;

	@Column(name="bind_rtp_to_media_address", length=1)
	private String bindRtpToMediaAddress;

	@Column(name="call_group", length=40)
	private String callGroup;

	@Column(length=40)
	private String callerid;

	@Column(name="callerid_privacy", length=1)
	private String calleridPrivacy;

	@Column(name="callerid_tag", length=40)
	private String calleridTag;

	@Column(name="connected_line_method", length=1)
	private String connectedLineMethod;

	@Column(name="contact_acl", length=40)
	private String contactAcl;

	@Column(name="contact_deny", length=95)
	private String contactDeny;

	@Column(name="contact_permit", length=95)
	private String contactPermit;

	@Column(name="contact_user", length=80)
	private String contactUser;

	@Column(length=40)
	private String context;

	@Column(name="cos_audio")
	private int cosAudio;

	@Column(name="cos_video")
	private int cosVideo;

	@Column(length=95)
	private String deny;

	@Column(name="device_state_busy_at")
	private int deviceStateBusyAt;

	@Column(name="direct_media", length=1)
	private String directMedia;

	@Column(name="direct_media_glare_mitigation", length=1)
	private String directMediaGlareMitigation;

	@Column(name="direct_media_method", length=1)
	private String directMediaMethod;

	@Column(name="disable_direct_media_on_nat", length=1)
	private String disableDirectMediaOnNat;

	@Column(length=200)
	private String disallow;

	@Column(name="dtls_auto_generate_cert", length=1)
	private String dtlsAutoGenerateCert;

	@Column(name="dtls_ca_file", length=200)
	private String dtlsCaFile;

	@Column(name="dtls_ca_path", length=200)
	private String dtlsCaPath;

	@Column(name="dtls_cert_file", length=200)
	private String dtlsCertFile;

	@Column(name="dtls_cipher", length=200)
	private String dtlsCipher;

	@Column(name="dtls_private_key", length=200)
	private String dtlsPrivateKey;

	@Column(name="dtls_rekey", length=40)
	private String dtlsRekey;

	@Column(name="dtls_setup", length=1)
	private String dtlsSetup;

	@Column(name="dtls_verify", length=40)
	private String dtlsVerify;

	@Column(name="dtmf_mode", length=1)
	private String dtmfMode;

	@Column(name="external_media_address", length=40)
	private String externalMediaAddress;

	@Column(name="fax_detect", length=1)
	private String faxDetect;

	@Column(name="fax_detect_timeout")
	private int faxDetectTimeout;

	@Column(name="force_avp", length=1)
	private String forceAvp;

	@Column(name="force_rport", length=1)
	private String forceRport;

	@Column(name="from_domain", length=40)
	private String fromDomain;

	@Column(name="from_user", length=40)
	private String fromUser;

	@Column(name="g726_non_standard", length=1)
	private String g726NonStandard;

	@Column(name="ice_support", length=1)
	private String iceSupport;

	@Column(nullable=false, length=40)
	private String id;

	@Column(name="identify_by", length=1)
	private String identifyBy;

	@Column(name="inband_progress", length=1)
	private String inbandProgress;

	@Column(length=40)
	private String language;

	@Column(length=40)
	private String mailboxes;

	@Column(name="media_address", length=40)
	private String mediaAddress;

	@Column(name="media_encryption", length=1)
	private String mediaEncryption;

	@Column(name="media_encryption_optimistic", length=1)
	private String mediaEncryptionOptimistic;

	@Column(name="media_use_received_transport", length=1)
	private String mediaUseReceivedTransport;

	@Column(name="message_context", length=40)
	private String messageContext;

	@Column(name="moh_suggest", length=40)
	private String mohSuggest;

	@Column(name="mwi_from_user", length=40)
	private String mwiFromUser;

	@Column(name="mwi_subscribe_replaces_unsolicited")
	private int mwiSubscribeReplacesUnsolicited;

	@Column(name="named_call_group", length=40)
	private String namedCallGroup;

	@Column(name="named_pickup_group", length=40)
	private String namedPickupGroup;

	@Column(name="one_touch_recording", length=1)
	private String oneTouchRecording;

	@Column(name="outbound_auth", length=40)
	private String outboundAuth;

	@Column(name="outbound_proxy", length=80)
	private String outboundProxy;

	@Column(length=95)
	private String permit;

	@Column(name="pickup_group", length=40)
	private String pickupGroup;

	@Column(name="preferred_codec_only", length=1)
	private String preferredCodecOnly;

	@Column(name="record_off_feature", length=40)
	private String recordOffFeature;

	@Column(name="record_on_feature", length=40)
	private String recordOnFeature;

	@Column(name="redirect_method", length=1)
	private String redirectMethod;

	@Column(name="rewrite_contact", length=1)
	private String rewriteContact;

	@Column(name="rpid_immediate", length=1)
	private String rpidImmediate;

	@Column(name="rtcp_mux", length=1)
	private String rtcpMux;

	@Column(name="rtp_engine", length=40)
	private String rtpEngine;

	@Column(name="rtp_ipv6", length=1)
	private String rtpIpv6;

	@Column(name="rtp_keepalive")
	private int rtpKeepalive;

	@Column(name="rtp_symmetric", length=1)
	private String rtpSymmetric;

	@Column(name="rtp_timeout")
	private int rtpTimeout;

	@Column(name="rtp_timeout_hold")
	private int rtpTimeoutHold;

	@Column(name="sdp_owner", length=40)
	private String sdpOwner;

	@Column(name="sdp_session", length=40)
	private String sdpSession;

	@Column(name="send_diversion", length=1)
	private String sendDiversion;

	@Column(name="send_pai", length=1)
	private String sendPai;

	@Column(name="send_rpid", length=1)
	private String sendRpid;

	@Lob
	@Column(name="set_var")
	private String setVar;

	@Column(name="srtp_tag_32", length=1)
	private String srtpTag32;

	@Column(name="sub_min_expiry")
	private int subMinExpiry;

	@Column(name="subscribe_context", length=40)
	private String subscribeContext;

	@Column(name="t38_udptl", length=1)
	private String t38Udptl;

	@Column(name="t38_udptl_ec", length=1)
	private String t38UdptlEc;

	@Column(name="t38_udptl_ipv6", length=1)
	private String t38UdptlIpv6;

	@Column(name="t38_udptl_maxdatagram")
	private int t38UdptlMaxdatagram;

	@Column(name="t38_udptl_nat", length=1)
	private String t38UdptlNat;

	@Column(length=1)
	private String timers;

	@Column(name="timers_min_se")
	private int timersMinSe;

	@Column(name="timers_sess_expires")
	private int timersSessExpires;

	@Column(name="tone_zone", length=40)
	private String toneZone;

	@Column(name="tos_audio", length=10)
	private String tosAudio;

	@Column(name="tos_video", length=10)
	private String tosVideo;

	@Column(length=40)
	private String transport;

	@Column(name="trust_id_inbound", length=1)
	private String trustIdInbound;

	@Column(name="trust_id_outbound", length=1)
	private String trustIdOutbound;

	@Column(name="use_avpf", length=1)
	private String useAvpf;

	@Column(name="use_ptime", length=1)
	private String usePtime;

	@Column(name="user_eq_phone", length=1)
	private String userEqPhone;

	@Column(name="voicemail_extension", length=40)
	private String voicemailExtension;

	//bi-directional many-to-one association to TeTenant
	@ManyToOne
	@JoinColumn(name="te_id", nullable=false)
	private TeTenant teTenant;

	public PsEndpoint() {
	}

	public int getTechId() {
		return this.techId;
	}

	public void setTechId(int techId) {
		this.techId = techId;
	}

	public String get_00rel() {
		return this._00rel;
	}

	public void set_00rel(String _00rel) {
		this._00rel = _00rel;
	}

	public String getAccountcode() {
		return this.accountcode;
	}

	public void setAccountcode(String accountcode) {
		this.accountcode = accountcode;
	}

	public String getAcl() {
		return this.acl;
	}

	public void setAcl(String acl) {
		this.acl = acl;
	}

	public String getAggregateMwi() {
		return this.aggregateMwi;
	}

	public void setAggregateMwi(String aggregateMwi) {
		this.aggregateMwi = aggregateMwi;
	}

	public String getAllow() {
		return this.allow;
	}

	public void setAllow(String allow) {
		this.allow = allow;
	}

	public String getAllowSubscribe() {
		return this.allowSubscribe;
	}

	public void setAllowSubscribe(String allowSubscribe) {
		this.allowSubscribe = allowSubscribe;
	}

	public String getAllowTransfer() {
		return this.allowTransfer;
	}

	public void setAllowTransfer(String allowTransfer) {
		this.allowTransfer = allowTransfer;
	}

	public String getAors() {
		return this.aors;
	}

	public void setAors(String aors) {
		this.aors = aors;
	}

	public String getAsymmetricRtpCodec() {
		return this.asymmetricRtpCodec;
	}

	public void setAsymmetricRtpCodec(String asymmetricRtpCodec) {
		this.asymmetricRtpCodec = asymmetricRtpCodec;
	}

	public String getAuth() {
		return this.auth;
	}

	public void setAuth(String auth) {
		this.auth = auth;
	}

	public String getBindRtpToMediaAddress() {
		return this.bindRtpToMediaAddress;
	}

	public void setBindRtpToMediaAddress(String bindRtpToMediaAddress) {
		this.bindRtpToMediaAddress = bindRtpToMediaAddress;
	}

	public String getCallGroup() {
		return this.callGroup;
	}

	public void setCallGroup(String callGroup) {
		this.callGroup = callGroup;
	}

	public String getCallerid() {
		return this.callerid;
	}

	public void setCallerid(String callerid) {
		this.callerid = callerid;
	}

	public String getCalleridPrivacy() {
		return this.calleridPrivacy;
	}

	public void setCalleridPrivacy(String calleridPrivacy) {
		this.calleridPrivacy = calleridPrivacy;
	}

	public String getCalleridTag() {
		return this.calleridTag;
	}

	public void setCalleridTag(String calleridTag) {
		this.calleridTag = calleridTag;
	}

	public String getConnectedLineMethod() {
		return this.connectedLineMethod;
	}

	public void setConnectedLineMethod(String connectedLineMethod) {
		this.connectedLineMethod = connectedLineMethod;
	}

	public String getContactAcl() {
		return this.contactAcl;
	}

	public void setContactAcl(String contactAcl) {
		this.contactAcl = contactAcl;
	}

	public String getContactDeny() {
		return this.contactDeny;
	}

	public void setContactDeny(String contactDeny) {
		this.contactDeny = contactDeny;
	}

	public String getContactPermit() {
		return this.contactPermit;
	}

	public void setContactPermit(String contactPermit) {
		this.contactPermit = contactPermit;
	}

	public String getContactUser() {
		return this.contactUser;
	}

	public void setContactUser(String contactUser) {
		this.contactUser = contactUser;
	}

	public String getContext() {
		return this.context;
	}

	public void setContext(String context) {
		this.context = context;
	}

	public int getCosAudio() {
		return this.cosAudio;
	}

	public void setCosAudio(int cosAudio) {
		this.cosAudio = cosAudio;
	}

	public int getCosVideo() {
		return this.cosVideo;
	}

	public void setCosVideo(int cosVideo) {
		this.cosVideo = cosVideo;
	}

	public String getDeny() {
		return this.deny;
	}

	public void setDeny(String deny) {
		this.deny = deny;
	}

	public int getDeviceStateBusyAt() {
		return this.deviceStateBusyAt;
	}

	public void setDeviceStateBusyAt(int deviceStateBusyAt) {
		this.deviceStateBusyAt = deviceStateBusyAt;
	}

	public String getDirectMedia() {
		return this.directMedia;
	}

	public void setDirectMedia(String directMedia) {
		this.directMedia = directMedia;
	}

	public String getDirectMediaGlareMitigation() {
		return this.directMediaGlareMitigation;
	}

	public void setDirectMediaGlareMitigation(String directMediaGlareMitigation) {
		this.directMediaGlareMitigation = directMediaGlareMitigation;
	}

	public String getDirectMediaMethod() {
		return this.directMediaMethod;
	}

	public void setDirectMediaMethod(String directMediaMethod) {
		this.directMediaMethod = directMediaMethod;
	}

	public String getDisableDirectMediaOnNat() {
		return this.disableDirectMediaOnNat;
	}

	public void setDisableDirectMediaOnNat(String disableDirectMediaOnNat) {
		this.disableDirectMediaOnNat = disableDirectMediaOnNat;
	}

	public String getDisallow() {
		return this.disallow;
	}

	public void setDisallow(String disallow) {
		this.disallow = disallow;
	}

	public String getDtlsAutoGenerateCert() {
		return this.dtlsAutoGenerateCert;
	}

	public void setDtlsAutoGenerateCert(String dtlsAutoGenerateCert) {
		this.dtlsAutoGenerateCert = dtlsAutoGenerateCert;
	}

	public String getDtlsCaFile() {
		return this.dtlsCaFile;
	}

	public void setDtlsCaFile(String dtlsCaFile) {
		this.dtlsCaFile = dtlsCaFile;
	}

	public String getDtlsCaPath() {
		return this.dtlsCaPath;
	}

	public void setDtlsCaPath(String dtlsCaPath) {
		this.dtlsCaPath = dtlsCaPath;
	}

	public String getDtlsCertFile() {
		return this.dtlsCertFile;
	}

	public void setDtlsCertFile(String dtlsCertFile) {
		this.dtlsCertFile = dtlsCertFile;
	}

	public String getDtlsCipher() {
		return this.dtlsCipher;
	}

	public void setDtlsCipher(String dtlsCipher) {
		this.dtlsCipher = dtlsCipher;
	}

	public String getDtlsPrivateKey() {
		return this.dtlsPrivateKey;
	}

	public void setDtlsPrivateKey(String dtlsPrivateKey) {
		this.dtlsPrivateKey = dtlsPrivateKey;
	}

	public String getDtlsRekey() {
		return this.dtlsRekey;
	}

	public void setDtlsRekey(String dtlsRekey) {
		this.dtlsRekey = dtlsRekey;
	}

	public String getDtlsSetup() {
		return this.dtlsSetup;
	}

	public void setDtlsSetup(String dtlsSetup) {
		this.dtlsSetup = dtlsSetup;
	}

	public String getDtlsVerify() {
		return this.dtlsVerify;
	}

	public void setDtlsVerify(String dtlsVerify) {
		this.dtlsVerify = dtlsVerify;
	}

	public String getDtmfMode() {
		return this.dtmfMode;
	}

	public void setDtmfMode(String dtmfMode) {
		this.dtmfMode = dtmfMode;
	}

	public String getExternalMediaAddress() {
		return this.externalMediaAddress;
	}

	public void setExternalMediaAddress(String externalMediaAddress) {
		this.externalMediaAddress = externalMediaAddress;
	}

	public String getFaxDetect() {
		return this.faxDetect;
	}

	public void setFaxDetect(String faxDetect) {
		this.faxDetect = faxDetect;
	}

	public int getFaxDetectTimeout() {
		return this.faxDetectTimeout;
	}

	public void setFaxDetectTimeout(int faxDetectTimeout) {
		this.faxDetectTimeout = faxDetectTimeout;
	}

	public String getForceAvp() {
		return this.forceAvp;
	}

	public void setForceAvp(String forceAvp) {
		this.forceAvp = forceAvp;
	}

	public String getForceRport() {
		return this.forceRport;
	}

	public void setForceRport(String forceRport) {
		this.forceRport = forceRport;
	}

	public String getFromDomain() {
		return this.fromDomain;
	}

	public void setFromDomain(String fromDomain) {
		this.fromDomain = fromDomain;
	}

	public String getFromUser() {
		return this.fromUser;
	}

	public void setFromUser(String fromUser) {
		this.fromUser = fromUser;
	}

	public String getG726NonStandard() {
		return this.g726NonStandard;
	}

	public void setG726NonStandard(String g726NonStandard) {
		this.g726NonStandard = g726NonStandard;
	}

	public String getIceSupport() {
		return this.iceSupport;
	}

	public void setIceSupport(String iceSupport) {
		this.iceSupport = iceSupport;
	}

	public String getId() {
		return this.id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getIdentifyBy() {
		return this.identifyBy;
	}

	public void setIdentifyBy(String identifyBy) {
		this.identifyBy = identifyBy;
	}

	public String getInbandProgress() {
		return this.inbandProgress;
	}

	public void setInbandProgress(String inbandProgress) {
		this.inbandProgress = inbandProgress;
	}

	public String getLanguage() {
		return this.language;
	}

	public void setLanguage(String language) {
		this.language = language;
	}

	public String getMailboxes() {
		return this.mailboxes;
	}

	public void setMailboxes(String mailboxes) {
		this.mailboxes = mailboxes;
	}

	public String getMediaAddress() {
		return this.mediaAddress;
	}

	public void setMediaAddress(String mediaAddress) {
		this.mediaAddress = mediaAddress;
	}

	public String getMediaEncryption() {
		return this.mediaEncryption;
	}

	public void setMediaEncryption(String mediaEncryption) {
		this.mediaEncryption = mediaEncryption;
	}

	public String getMediaEncryptionOptimistic() {
		return this.mediaEncryptionOptimistic;
	}

	public void setMediaEncryptionOptimistic(String mediaEncryptionOptimistic) {
		this.mediaEncryptionOptimistic = mediaEncryptionOptimistic;
	}

	public String getMediaUseReceivedTransport() {
		return this.mediaUseReceivedTransport;
	}

	public void setMediaUseReceivedTransport(String mediaUseReceivedTransport) {
		this.mediaUseReceivedTransport = mediaUseReceivedTransport;
	}

	public String getMessageContext() {
		return this.messageContext;
	}

	public void setMessageContext(String messageContext) {
		this.messageContext = messageContext;
	}

	public String getMohSuggest() {
		return this.mohSuggest;
	}

	public void setMohSuggest(String mohSuggest) {
		this.mohSuggest = mohSuggest;
	}

	public String getMwiFromUser() {
		return this.mwiFromUser;
	}

	public void setMwiFromUser(String mwiFromUser) {
		this.mwiFromUser = mwiFromUser;
	}

	public int getMwiSubscribeReplacesUnsolicited() {
		return this.mwiSubscribeReplacesUnsolicited;
	}

	public void setMwiSubscribeReplacesUnsolicited(int mwiSubscribeReplacesUnsolicited) {
		this.mwiSubscribeReplacesUnsolicited = mwiSubscribeReplacesUnsolicited;
	}

	public String getNamedCallGroup() {
		return this.namedCallGroup;
	}

	public void setNamedCallGroup(String namedCallGroup) {
		this.namedCallGroup = namedCallGroup;
	}

	public String getNamedPickupGroup() {
		return this.namedPickupGroup;
	}

	public void setNamedPickupGroup(String namedPickupGroup) {
		this.namedPickupGroup = namedPickupGroup;
	}

	public String getOneTouchRecording() {
		return this.oneTouchRecording;
	}

	public void setOneTouchRecording(String oneTouchRecording) {
		this.oneTouchRecording = oneTouchRecording;
	}

	public String getOutboundAuth() {
		return this.outboundAuth;
	}

	public void setOutboundAuth(String outboundAuth) {
		this.outboundAuth = outboundAuth;
	}

	public String getOutboundProxy() {
		return this.outboundProxy;
	}

	public void setOutboundProxy(String outboundProxy) {
		this.outboundProxy = outboundProxy;
	}

	public String getPermit() {
		return this.permit;
	}

	public void setPermit(String permit) {
		this.permit = permit;
	}

	public String getPickupGroup() {
		return this.pickupGroup;
	}

	public void setPickupGroup(String pickupGroup) {
		this.pickupGroup = pickupGroup;
	}

	public String getPreferredCodecOnly() {
		return this.preferredCodecOnly;
	}

	public void setPreferredCodecOnly(String preferredCodecOnly) {
		this.preferredCodecOnly = preferredCodecOnly;
	}

	public String getRecordOffFeature() {
		return this.recordOffFeature;
	}

	public void setRecordOffFeature(String recordOffFeature) {
		this.recordOffFeature = recordOffFeature;
	}

	public String getRecordOnFeature() {
		return this.recordOnFeature;
	}

	public void setRecordOnFeature(String recordOnFeature) {
		this.recordOnFeature = recordOnFeature;
	}

	public String getRedirectMethod() {
		return this.redirectMethod;
	}

	public void setRedirectMethod(String redirectMethod) {
		this.redirectMethod = redirectMethod;
	}

	public String getRewriteContact() {
		return this.rewriteContact;
	}

	public void setRewriteContact(String rewriteContact) {
		this.rewriteContact = rewriteContact;
	}

	public String getRpidImmediate() {
		return this.rpidImmediate;
	}

	public void setRpidImmediate(String rpidImmediate) {
		this.rpidImmediate = rpidImmediate;
	}

	public String getRtcpMux() {
		return this.rtcpMux;
	}

	public void setRtcpMux(String rtcpMux) {
		this.rtcpMux = rtcpMux;
	}

	public String getRtpEngine() {
		return this.rtpEngine;
	}

	public void setRtpEngine(String rtpEngine) {
		this.rtpEngine = rtpEngine;
	}

	public String getRtpIpv6() {
		return this.rtpIpv6;
	}

	public void setRtpIpv6(String rtpIpv6) {
		this.rtpIpv6 = rtpIpv6;
	}

	public int getRtpKeepalive() {
		return this.rtpKeepalive;
	}

	public void setRtpKeepalive(int rtpKeepalive) {
		this.rtpKeepalive = rtpKeepalive;
	}

	public String getRtpSymmetric() {
		return this.rtpSymmetric;
	}

	public void setRtpSymmetric(String rtpSymmetric) {
		this.rtpSymmetric = rtpSymmetric;
	}

	public int getRtpTimeout() {
		return this.rtpTimeout;
	}

	public void setRtpTimeout(int rtpTimeout) {
		this.rtpTimeout = rtpTimeout;
	}

	public int getRtpTimeoutHold() {
		return this.rtpTimeoutHold;
	}

	public void setRtpTimeoutHold(int rtpTimeoutHold) {
		this.rtpTimeoutHold = rtpTimeoutHold;
	}

	public String getSdpOwner() {
		return this.sdpOwner;
	}

	public void setSdpOwner(String sdpOwner) {
		this.sdpOwner = sdpOwner;
	}

	public String getSdpSession() {
		return this.sdpSession;
	}

	public void setSdpSession(String sdpSession) {
		this.sdpSession = sdpSession;
	}

	public String getSendDiversion() {
		return this.sendDiversion;
	}

	public void setSendDiversion(String sendDiversion) {
		this.sendDiversion = sendDiversion;
	}

	public String getSendPai() {
		return this.sendPai;
	}

	public void setSendPai(String sendPai) {
		this.sendPai = sendPai;
	}

	public String getSendRpid() {
		return this.sendRpid;
	}

	public void setSendRpid(String sendRpid) {
		this.sendRpid = sendRpid;
	}

	public String getSetVar() {
		return this.setVar;
	}

	public void setSetVar(String setVar) {
		this.setVar = setVar;
	}

	public String getSrtpTag32() {
		return this.srtpTag32;
	}

	public void setSrtpTag32(String srtpTag32) {
		this.srtpTag32 = srtpTag32;
	}

	public int getSubMinExpiry() {
		return this.subMinExpiry;
	}

	public void setSubMinExpiry(int subMinExpiry) {
		this.subMinExpiry = subMinExpiry;
	}

	public String getSubscribeContext() {
		return this.subscribeContext;
	}

	public void setSubscribeContext(String subscribeContext) {
		this.subscribeContext = subscribeContext;
	}

	public String getT38Udptl() {
		return this.t38Udptl;
	}

	public void setT38Udptl(String t38Udptl) {
		this.t38Udptl = t38Udptl;
	}

	public String getT38UdptlEc() {
		return this.t38UdptlEc;
	}

	public void setT38UdptlEc(String t38UdptlEc) {
		this.t38UdptlEc = t38UdptlEc;
	}

	public String getT38UdptlIpv6() {
		return this.t38UdptlIpv6;
	}

	public void setT38UdptlIpv6(String t38UdptlIpv6) {
		this.t38UdptlIpv6 = t38UdptlIpv6;
	}

	public int getT38UdptlMaxdatagram() {
		return this.t38UdptlMaxdatagram;
	}

	public void setT38UdptlMaxdatagram(int t38UdptlMaxdatagram) {
		this.t38UdptlMaxdatagram = t38UdptlMaxdatagram;
	}

	public String getT38UdptlNat() {
		return this.t38UdptlNat;
	}

	public void setT38UdptlNat(String t38UdptlNat) {
		this.t38UdptlNat = t38UdptlNat;
	}

	public String getTimers() {
		return this.timers;
	}

	public void setTimers(String timers) {
		this.timers = timers;
	}

	public int getTimersMinSe() {
		return this.timersMinSe;
	}

	public void setTimersMinSe(int timersMinSe) {
		this.timersMinSe = timersMinSe;
	}

	public int getTimersSessExpires() {
		return this.timersSessExpires;
	}

	public void setTimersSessExpires(int timersSessExpires) {
		this.timersSessExpires = timersSessExpires;
	}

	public String getToneZone() {
		return this.toneZone;
	}

	public void setToneZone(String toneZone) {
		this.toneZone = toneZone;
	}

	public String getTosAudio() {
		return this.tosAudio;
	}

	public void setTosAudio(String tosAudio) {
		this.tosAudio = tosAudio;
	}

	public String getTosVideo() {
		return this.tosVideo;
	}

	public void setTosVideo(String tosVideo) {
		this.tosVideo = tosVideo;
	}

	public String getTransport() {
		return this.transport;
	}

	public void setTransport(String transport) {
		this.transport = transport;
	}

	public String getTrustIdInbound() {
		return this.trustIdInbound;
	}

	public void setTrustIdInbound(String trustIdInbound) {
		this.trustIdInbound = trustIdInbound;
	}

	public String getTrustIdOutbound() {
		return this.trustIdOutbound;
	}

	public void setTrustIdOutbound(String trustIdOutbound) {
		this.trustIdOutbound = trustIdOutbound;
	}

	public String getUseAvpf() {
		return this.useAvpf;
	}

	public void setUseAvpf(String useAvpf) {
		this.useAvpf = useAvpf;
	}

	public String getUsePtime() {
		return this.usePtime;
	}

	public void setUsePtime(String usePtime) {
		this.usePtime = usePtime;
	}

	public String getUserEqPhone() {
		return this.userEqPhone;
	}

	public void setUserEqPhone(String userEqPhone) {
		this.userEqPhone = userEqPhone;
	}

	public String getVoicemailExtension() {
		return this.voicemailExtension;
	}

	public void setVoicemailExtension(String voicemailExtension) {
		this.voicemailExtension = voicemailExtension;
	}

	public TeTenant getTeTenant() {
		return this.teTenant;
	}

	public void setTeTenant(TeTenant teTenant) {
		this.teTenant = teTenant;
	}

}