package com.amirouter.server.model;

import java.io.Serializable;
import javax.persistence.*;


/**
 * The persistent class for the sipfriends database table.
 * 
 */
@Entity
@Table(name="sipfriends")
@NamedQuery(name="Sipfriend.findAll", query="SELECT s FROM Sipfriend s")
public class Sipfriend implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	@Column(unique=true, nullable=false)
	private Integer id;

	@Column(length=40)
	private String accountcode;

	@Column(length=255)
	private String allow;

	@Column(length=1)
	private String allowoverlap;

	@Column(length=1)
	private String allowsubscribe;

	@Column(length=1)
	private String allowtransfer;

	@Column(length=40)
	private String amaflags;

	@Column(length=40)
	private String auth;

	@Column(length=1)
	private String autoframing;

	@Column(nullable=false, length=40)
	private String avpf;

	@Column(length=1)
	private String buggymwi;

	private Integer busylevel;

	@Column(name="`call-limit`")
	private Integer call_limit;

	@Column(length=40)
	private String callbackextension;

	@Column(length=1)
	private String callcounter;

	@Column(length=40)
	private String callerid;

	@Column(length=40)
	private String callgroup;

	@Column(length=1)
	private String callingpres;

	@Column(nullable=false, length=40)
	private String canreinvite;

	@Column(name="cid_number", length=40)
	private String cidNumber;

	@Column(name="cisco_usecallmanager", nullable=false, length=5)
	private String ciscoUsecallmanager;

	@Column(length=1)
	private String constantssrc;

	@Column(length=40)
	private String contactdeny;

	@Column(length=40)
	private String contactpermit;

	@Column(length=40)
	private String context;

	@Column(length=40)
	private String defaultip;

	@Column(length=80)
	private String defaultuser;

	@Column(nullable=false, length=40)
	private String deny;

	@Column(length=1)
	private String directmedia;

	@Column(nullable=false, length=255)
	private String directrtpsetup;

	@Column(nullable=false, length=40)
	private String disallow;

	@Column(nullable=false, length=255)
	private String dtlscafile;

	@Column(nullable=false, length=255)
	private String dtlscertfile;

	@Column(nullable=false, length=40)
	private String dtlsenable;

	@Column(nullable=false, length=255)
	private String dtlsprivatekey;

	@Column(nullable=false, length=40)
	private String dtlssetup;

	@Column(nullable=false, length=40)
	private String dtlsverify;

	@Column(length=1)
	private String dtmfmode;

	@Column(length=1)
	private String dynamic;

	@Column(length=40)
	private String encryption;

	@Column(length=1)
	private String faxdetect;

	@Column(name="force_avp", nullable=false, length=40)
	private String forceAvp;

	@Column(length=40)
	private String fromdomain;

	@Column(length=40)
	private String fromuser;

	@Column(length=255)
	private String fullcontact;

	@Column(length=40)
	private String fullname;

	@Column(length=1)
	private String g726nonstandard;

	@Column(length=1)
	private String hasvoicemail;

	@Column(length=80)
	private String host;

	@Column(nullable=false, length=40)
	private String icesupport;

	@Column(length=1)
	private String ignoresdpversion;

	@Column(length=40)
	private String insecure;

	@Column(length=45)
	private String ipaddr;

	@Column(length=40)
	private String keepalive;

	@Column(length=40)
	private String language;

	private Integer lastms;

	@Column(length=50)
	private String mailbox;

	private Integer maxcallbitrate;

	@Column(length=40)
	private String md5secret;

	@Column(length=40)
	private String mohinterpret;

	@Column(length=40)
	private String mohsuggest;

	@Column(length=80)
	private String name;

	@Column(length=1)
	private String nat;

	@Column(nullable=false, length=1)
	private String notifyringing;

	@Column(length=80)
	private String outboundproxy;

	@Column(length=40)
	private String parkinglot;

	@Column(length=500)
	private String permit;

	@Column(length=40)
	private String pickupgroup;

	private Integer port;

	@Column(length=1)
	private String progressinband;

	@Column(length=1)
	private String promiscredir;

	@Column(length=40)
	private String qualify;

	private Integer qualifyfreq;

	@Column(length=40)
	private String regexten;

	@Column(nullable=false, length=255)
	private String register;

	@Column(length=1)
	private String registertrying;

	private Integer regseconds;

	@Column(length=255)
	private String regserver;

	@Column(length=40)
	private String remotesecret;

	@Column(length=1)
	private String rfc2833compensate;

	@Column(name="rtcp_mux", nullable=false, length=40)
	private String rtcpMux;

	private Integer rtpholdtimeout;

	private Integer rtpkeepalive;

	private Integer rtptimeout;

	@Column(length=40)
	private String secret;

	@Column(length=1)
	private String sendrpid;

	@Column(name="`session-expires`")
	private Integer session_expires;

	@Column(name="`session-minse`")
	private Integer session_minse;

	@Column(name="`session-refresher`", length=1)
	private String session_refresher;

	@Column(name="`session-timers`", length=1)
	private String session_timers;

	@Column(length=40)
	private String setvar;

	@Column(nullable=false, length=255)
	private String subscribe;

	@Column(length=1)
	private String subscribemwi;

	@Column(name="t38pt_usertpsource", length=40)
	private String t38ptUsertpsource;

	@Column(length=1)
	private String textsupport;

	private Integer timerb;

	private Integer timert1;

	@Column(length=40)
	private String transport;

	@Column(length=40)
	private String trunkname;

	@Column(name="trust_id_outbound", length=1)
	private String trustIdOutbound;

	@Column(length=1)
	private String trustrpid;

	@Column(length=1)
	private String type;

	@Column(length=1)
	private String useclientcode;

	@Column(length=255)
	private String useragent;

	@Column(length=1)
	private String usereqphone;

	@Column(length=1)
	private String videosupport;

	@Column(length=40)
	private String vmexten;

	//bi-directional many-to-one association to TeTenant
	@ManyToOne
	@JoinColumn(name="te_id", nullable=false)
	private TeTenant teTenant;

	public Sipfriend() {
	}

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getAccountcode() {
		return this.accountcode;
	}

	public void setAccountcode(String accountcode) {
		this.accountcode = accountcode;
	}

	public String getAllow() {
		return this.allow;
	}

	public void setAllow(String allow) {
		this.allow = allow;
	}

	public String getAllowoverlap() {
		return this.allowoverlap;
	}

	public void setAllowoverlap(String allowoverlap) {
		this.allowoverlap = allowoverlap;
	}

	public String getAllowsubscribe() {
		return this.allowsubscribe;
	}

	public void setAllowsubscribe(String allowsubscribe) {
		this.allowsubscribe = allowsubscribe;
	}

	public String getAllowtransfer() {
		return this.allowtransfer;
	}

	public void setAllowtransfer(String allowtransfer) {
		this.allowtransfer = allowtransfer;
	}

	public String getAmaflags() {
		return this.amaflags;
	}

	public void setAmaflags(String amaflags) {
		this.amaflags = amaflags;
	}

	public String getAuth() {
		return this.auth;
	}

	public void setAuth(String auth) {
		this.auth = auth;
	}

	public String getAutoframing() {
		return this.autoframing;
	}

	public void setAutoframing(String autoframing) {
		this.autoframing = autoframing;
	}

	public String getAvpf() {
		return this.avpf;
	}

	public void setAvpf(String avpf) {
		this.avpf = avpf;
	}

	public String getBuggymwi() {
		return this.buggymwi;
	}

	public void setBuggymwi(String buggymwi) {
		this.buggymwi = buggymwi;
	}

	public Integer getBusylevel() {
		return this.busylevel;
	}

	public void setBusylevel(Integer busylevel) {
		this.busylevel = busylevel;
	}

	public Integer getCall_limit() {
		return this.call_limit;
	}

	public void setCall_limit(Integer call_limit) {
		this.call_limit = call_limit;
	}

	public String getCallbackextension() {
		return this.callbackextension;
	}

	public void setCallbackextension(String callbackextension) {
		this.callbackextension = callbackextension;
	}

	public String getCallcounter() {
		return this.callcounter;
	}

	public void setCallcounter(String callcounter) {
		this.callcounter = callcounter;
	}

	public String getCallerid() {
		return this.callerid;
	}

	public void setCallerid(String callerid) {
		this.callerid = callerid;
	}

	public String getCallgroup() {
		return this.callgroup;
	}

	public void setCallgroup(String callgroup) {
		this.callgroup = callgroup;
	}

	public String getCallingpres() {
		return this.callingpres;
	}

	public void setCallingpres(String callingpres) {
		this.callingpres = callingpres;
	}

	public String getCanreinvite() {
		return this.canreinvite;
	}

	public void setCanreinvite(String canreinvite) {
		this.canreinvite = canreinvite;
	}

	public String getCidNumber() {
		return this.cidNumber;
	}

	public void setCidNumber(String cidNumber) {
		this.cidNumber = cidNumber;
	}

	public String getCiscoUsecallmanager() {
		return this.ciscoUsecallmanager;
	}

	public void setCiscoUsecallmanager(String ciscoUsecallmanager) {
		this.ciscoUsecallmanager = ciscoUsecallmanager;
	}

	public String getConstantssrc() {
		return this.constantssrc;
	}

	public void setConstantssrc(String constantssrc) {
		this.constantssrc = constantssrc;
	}

	public String getContactdeny() {
		return this.contactdeny;
	}

	public void setContactdeny(String contactdeny) {
		this.contactdeny = contactdeny;
	}

	public String getContactpermit() {
		return this.contactpermit;
	}

	public void setContactpermit(String contactpermit) {
		this.contactpermit = contactpermit;
	}

	public String getContext() {
		return this.context;
	}

	public void setContext(String context) {
		this.context = context;
	}

	public String getDefaultip() {
		return this.defaultip;
	}

	public void setDefaultip(String defaultip) {
		this.defaultip = defaultip;
	}

	public String getDefaultuser() {
		return this.defaultuser;
	}

	public void setDefaultuser(String defaultuser) {
		this.defaultuser = defaultuser;
	}

	public String getDeny() {
		return this.deny;
	}

	public void setDeny(String deny) {
		this.deny = deny;
	}

	public String getDirectmedia() {
		return this.directmedia;
	}

	public void setDirectmedia(String directmedia) {
		this.directmedia = directmedia;
	}

	public String getDirectrtpsetup() {
		return this.directrtpsetup;
	}

	public void setDirectrtpsetup(String directrtpsetup) {
		this.directrtpsetup = directrtpsetup;
	}

	public String getDisallow() {
		return this.disallow;
	}

	public void setDisallow(String disallow) {
		this.disallow = disallow;
	}

	public String getDtlscafile() {
		return this.dtlscafile;
	}

	public void setDtlscafile(String dtlscafile) {
		this.dtlscafile = dtlscafile;
	}

	public String getDtlscertfile() {
		return this.dtlscertfile;
	}

	public void setDtlscertfile(String dtlscertfile) {
		this.dtlscertfile = dtlscertfile;
	}

	public String getDtlsenable() {
		return this.dtlsenable;
	}

	public void setDtlsenable(String dtlsenable) {
		this.dtlsenable = dtlsenable;
	}

	public String getDtlsprivatekey() {
		return this.dtlsprivatekey;
	}

	public void setDtlsprivatekey(String dtlsprivatekey) {
		this.dtlsprivatekey = dtlsprivatekey;
	}

	public String getDtlssetup() {
		return this.dtlssetup;
	}

	public void setDtlssetup(String dtlssetup) {
		this.dtlssetup = dtlssetup;
	}

	public String getDtlsverify() {
		return this.dtlsverify;
	}

	public void setDtlsverify(String dtlsverify) {
		this.dtlsverify = dtlsverify;
	}

	public String getDtmfmode() {
		return this.dtmfmode;
	}

	public void setDtmfmode(String dtmfmode) {
		this.dtmfmode = dtmfmode;
	}

	public String getDynamic() {
		return this.dynamic;
	}

	public void setDynamic(String dynamic) {
		this.dynamic = dynamic;
	}

	public String getEncryption() {
		return this.encryption;
	}

	public void setEncryption(String encryption) {
		this.encryption = encryption;
	}

	public String getFaxdetect() {
		return this.faxdetect;
	}

	public void setFaxdetect(String faxdetect) {
		this.faxdetect = faxdetect;
	}

	public String getForceAvp() {
		return this.forceAvp;
	}

	public void setForceAvp(String forceAvp) {
		this.forceAvp = forceAvp;
	}

	public String getFromdomain() {
		return this.fromdomain;
	}

	public void setFromdomain(String fromdomain) {
		this.fromdomain = fromdomain;
	}

	public String getFromuser() {
		return this.fromuser;
	}

	public void setFromuser(String fromuser) {
		this.fromuser = fromuser;
	}

	public String getFullcontact() {
		return this.fullcontact;
	}

	public void setFullcontact(String fullcontact) {
		this.fullcontact = fullcontact;
	}

	public String getFullname() {
		return this.fullname;
	}

	public void setFullname(String fullname) {
		this.fullname = fullname;
	}

	public String getG726nonstandard() {
		return this.g726nonstandard;
	}

	public void setG726nonstandard(String g726nonstandard) {
		this.g726nonstandard = g726nonstandard;
	}

	public String getHasvoicemail() {
		return this.hasvoicemail;
	}

	public void setHasvoicemail(String hasvoicemail) {
		this.hasvoicemail = hasvoicemail;
	}

	public String getHost() {
		return this.host;
	}

	public void setHost(String host) {
		this.host = host;
	}

	public String getIcesupport() {
		return this.icesupport;
	}

	public void setIcesupport(String icesupport) {
		this.icesupport = icesupport;
	}

	public String getIgnoresdpversion() {
		return this.ignoresdpversion;
	}

	public void setIgnoresdpversion(String ignoresdpversion) {
		this.ignoresdpversion = ignoresdpversion;
	}

	public String getInsecure() {
		return this.insecure;
	}

	public void setInsecure(String insecure) {
		this.insecure = insecure;
	}

	public String getIpaddr() {
		return this.ipaddr;
	}

	public void setIpaddr(String ipaddr) {
		this.ipaddr = ipaddr;
	}

	public String getKeepalive() {
		return this.keepalive;
	}

	public void setKeepalive(String keepalive) {
		this.keepalive = keepalive;
	}

	public String getLanguage() {
		return this.language;
	}

	public void setLanguage(String language) {
		this.language = language;
	}

	public Integer getLastms() {
		return this.lastms;
	}

	public void setLastms(Integer lastms) {
		this.lastms = lastms;
	}

	public String getMailbox() {
		return this.mailbox;
	}

	public void setMailbox(String mailbox) {
		this.mailbox = mailbox;
	}

	public Integer getMaxcallbitrate() {
		return this.maxcallbitrate;
	}

	public void setMaxcallbitrate(Integer maxcallbitrate) {
		this.maxcallbitrate = maxcallbitrate;
	}

	public String getMd5secret() {
		return this.md5secret;
	}

	public void setMd5secret(String md5secret) {
		this.md5secret = md5secret;
	}

	public String getMohinterpret() {
		return this.mohinterpret;
	}

	public void setMohinterpret(String mohinterpret) {
		this.mohinterpret = mohinterpret;
	}

	public String getMohsuggest() {
		return this.mohsuggest;
	}

	public void setMohsuggest(String mohsuggest) {
		this.mohsuggest = mohsuggest;
	}

	public String getName() {
		return this.name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getNat() {
		return this.nat;
	}

	public void setNat(String nat) {
		this.nat = nat;
	}

	public String getNotifyringing() {
		return this.notifyringing;
	}

	public void setNotifyringing(String notifyringing) {
		this.notifyringing = notifyringing;
	}

	public String getOutboundproxy() {
		return this.outboundproxy;
	}

	public void setOutboundproxy(String outboundproxy) {
		this.outboundproxy = outboundproxy;
	}

	public String getParkinglot() {
		return this.parkinglot;
	}

	public void setParkinglot(String parkinglot) {
		this.parkinglot = parkinglot;
	}

	public String getPermit() {
		return this.permit;
	}

	public void setPermit(String permit) {
		this.permit = permit;
	}

	public String getPickupgroup() {
		return this.pickupgroup;
	}

	public void setPickupgroup(String pickupgroup) {
		this.pickupgroup = pickupgroup;
	}

	public Integer getPort() {
		return this.port;
	}

	public void setPort(Integer port) {
		this.port = port;
	}

	public String getProgressinband() {
		return this.progressinband;
	}

	public void setProgressinband(String progressinband) {
		this.progressinband = progressinband;
	}

	public String getPromiscredir() {
		return this.promiscredir;
	}

	public void setPromiscredir(String promiscredir) {
		this.promiscredir = promiscredir;
	}

	public String getQualify() {
		return this.qualify;
	}

	public void setQualify(String qualify) {
		this.qualify = qualify;
	}

	public Integer getQualifyfreq() {
		return this.qualifyfreq;
	}

	public void setQualifyfreq(Integer qualifyfreq) {
		this.qualifyfreq = qualifyfreq;
	}

	public String getRegexten() {
		return this.regexten;
	}

	public void setRegexten(String regexten) {
		this.regexten = regexten;
	}

	public String getRegister() {
		return this.register;
	}

	public void setRegister(String register) {
		this.register = register;
	}

	public String getRegistertrying() {
		return this.registertrying;
	}

	public void setRegistertrying(String registertrying) {
		this.registertrying = registertrying;
	}

	public Integer getRegseconds() {
		return this.regseconds;
	}

	public void setRegseconds(Integer regseconds) {
		this.regseconds = regseconds;
	}

	public String getRegserver() {
		return this.regserver;
	}

	public void setRegserver(String regserver) {
		this.regserver = regserver;
	}

	public String getRemotesecret() {
		return this.remotesecret;
	}

	public void setRemotesecret(String remotesecret) {
		this.remotesecret = remotesecret;
	}

	public String getRfc2833compensate() {
		return this.rfc2833compensate;
	}

	public void setRfc2833compensate(String rfc2833compensate) {
		this.rfc2833compensate = rfc2833compensate;
	}

	public String getRtcpMux() {
		return this.rtcpMux;
	}

	public void setRtcpMux(String rtcpMux) {
		this.rtcpMux = rtcpMux;
	}

	public Integer getRtpholdtimeout() {
		return this.rtpholdtimeout;
	}

	public void setRtpholdtimeout(Integer rtpholdtimeout) {
		this.rtpholdtimeout = rtpholdtimeout;
	}

	public Integer getRtpkeepalive() {
		return this.rtpkeepalive;
	}

	public void setRtpkeepalive(Integer rtpkeepalive) {
		this.rtpkeepalive = rtpkeepalive;
	}

	public Integer getRtptimeout() {
		return this.rtptimeout;
	}

	public void setRtptimeout(Integer rtptimeout) {
		this.rtptimeout = rtptimeout;
	}

	public String getSecret() {
		return this.secret;
	}

	public void setSecret(String secret) {
		this.secret = secret;
	}

	public String getSendrpid() {
		return this.sendrpid;
	}

	public void setSendrpid(String sendrpid) {
		this.sendrpid = sendrpid;
	}

	public Integer getSession_expires() {
		return this.session_expires;
	}

	public void setSession_expires(Integer session_expires) {
		this.session_expires = session_expires;
	}

	public Integer getSession_minse() {
		return this.session_minse;
	}

	public void setSession_minse(Integer session_minse) {
		this.session_minse = session_minse;
	}

	public String getSession_refresher() {
		return this.session_refresher;
	}

	public void setSession_refresher(String session_refresher) {
		this.session_refresher = session_refresher;
	}

	public String getSession_timers() {
		return this.session_timers;
	}

	public void setSession_timers(String session_timers) {
		this.session_timers = session_timers;
	}

	public String getSetvar() {
		return this.setvar;
	}

	public void setSetvar(String setvar) {
		this.setvar = setvar;
	}

	public String getSubscribe() {
		return this.subscribe;
	}

	public void setSubscribe(String subscribe) {
		this.subscribe = subscribe;
	}

	public String getSubscribemwi() {
		return this.subscribemwi;
	}

	public void setSubscribemwi(String subscribemwi) {
		this.subscribemwi = subscribemwi;
	}

	public String getT38ptUsertpsource() {
		return this.t38ptUsertpsource;
	}

	public void setT38ptUsertpsource(String t38ptUsertpsource) {
		this.t38ptUsertpsource = t38ptUsertpsource;
	}

	public String getTextsupport() {
		return this.textsupport;
	}

	public void setTextsupport(String textsupport) {
		this.textsupport = textsupport;
	}

	public Integer getTimerb() {
		return this.timerb;
	}

	public void setTimerb(Integer timerb) {
		this.timerb = timerb;
	}

	public Integer getTimert1() {
		return this.timert1;
	}

	public void setTimert1(Integer timert1) {
		this.timert1 = timert1;
	}

	public String getTransport() {
		return this.transport;
	}

	public void setTransport(String transport) {
		this.transport = transport;
	}

	public String getTrunkname() {
		return this.trunkname;
	}

	public void setTrunkname(String trunkname) {
		this.trunkname = trunkname;
	}

	public String getTrustIdOutbound() {
		return this.trustIdOutbound;
	}

	public void setTrustIdOutbound(String trustIdOutbound) {
		this.trustIdOutbound = trustIdOutbound;
	}

	public String getTrustrpid() {
		return this.trustrpid;
	}

	public void setTrustrpid(String trustrpid) {
		this.trustrpid = trustrpid;
	}

	public String getType() {
		return this.type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getUseclientcode() {
		return this.useclientcode;
	}

	public void setUseclientcode(String useclientcode) {
		this.useclientcode = useclientcode;
	}

	public String getUseragent() {
		return this.useragent;
	}

	public void setUseragent(String useragent) {
		this.useragent = useragent;
	}

	public String getUsereqphone() {
		return this.usereqphone;
	}

	public void setUsereqphone(String usereqphone) {
		this.usereqphone = usereqphone;
	}

	public String getVideosupport() {
		return this.videosupport;
	}

	public void setVideosupport(String videosupport) {
		this.videosupport = videosupport;
	}

	public String getVmexten() {
		return this.vmexten;
	}

	public void setVmexten(String vmexten) {
		this.vmexten = vmexten;
	}

	public TeTenant getTeTenant() {
		return this.teTenant;
	}

	public void setTeTenant(TeTenant teTenant) {
		this.teTenant = teTenant;
	}

}