package com.amirouter.server.model;

import java.io.Serializable;
import javax.persistence.*;


/**
 * The persistent class for the sipregs database table.
 * 
 */
@Entity
@Table(name="sipregs")
@NamedQuery(name="Sipreg.findAll", query="SELECT s FROM Sipreg s")
public class Sipreg implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	@Column(unique=true, nullable=false)
	private Integer id;

	@Column(length=255)
	private String defaultuser;

	@Column(length=255)
	private String fullcontact;

	@Column(length=45)
	private String ipaddr;

	private Integer lastms;

	@Column(length=100)
	private String name;

	private Integer port;

	private Integer regseconds;

	@Column(length=255)
	private String regserver;

	@Column(length=100)
	private String server;

	@Column(length=255)
	private String useragent;

	//bi-directional many-to-one association to TeTenant
	@ManyToOne
	@JoinColumn(name="te_id", nullable=false)
	private TeTenant teTenant;

	public Sipreg() {
	}

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getDefaultuser() {
		return this.defaultuser;
	}

	public void setDefaultuser(String defaultuser) {
		this.defaultuser = defaultuser;
	}

	public String getFullcontact() {
		return this.fullcontact;
	}

	public void setFullcontact(String fullcontact) {
		this.fullcontact = fullcontact;
	}

	public String getIpaddr() {
		return this.ipaddr;
	}

	public void setIpaddr(String ipaddr) {
		this.ipaddr = ipaddr;
	}

	public Integer getLastms() {
		return this.lastms;
	}

	public void setLastms(Integer lastms) {
		this.lastms = lastms;
	}

	public String getName() {
		return this.name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Integer getPort() {
		return this.port;
	}

	public void setPort(Integer port) {
		this.port = port;
	}

	public Integer getRegseconds() {
		return this.regseconds;
	}

	public void setRegseconds(Integer regseconds) {
		this.regseconds = regseconds;
	}

	public String getRegserver() {
		return this.regserver;
	}

	public void setRegserver(String regserver) {
		this.regserver = regserver;
	}

	public String getServer() {
		return this.server;
	}

	public void setServer(String server) {
		this.server = server;
	}

	public String getUseragent() {
		return this.useragent;
	}

	public void setUseragent(String useragent) {
		this.useragent = useragent;
	}

	public TeTenant getTeTenant() {
		return this.teTenant;
	}

	public void setTeTenant(TeTenant teTenant) {
		this.teTenant = teTenant;
	}

}