package com.amirouter.server.model;

import java.io.Serializable;
import javax.persistence.*;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;


/**
 * The persistent class for the te_tenants database table.
 * 
 */
@Entity
@Table(name="te_tenants")
@NamedQuery(name="TeTenant.findAll", query="SELECT t FROM TeTenant t")
public class TeTenant implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	@Column(name="te_id", unique=true, nullable=false)
	private Integer teId;

	@Column(name="te_abusedetection", nullable=false, length=10)
	private String teAbusedetection;

	@Column(name="te_alertamount")
	private Integer teAlertamount;

	@Column(name="te_alertemail", nullable=false, length=255)
	private String teAlertemail;

	@Column(name="te_allowanycalleridforemerg", nullable=false, length=10)
	private String teAllowanycalleridforemerg;

	@Column(name="te_allowanycalleridusage", nullable=false, length=10)
	private String teAllowanycalleridusage;

	@Column(name="te_allowincomingcalleridusage", nullable=false, length=10)
	private String teAllowincomingcalleridusage;

	@Column(name="te_allowinonnet", nullable=false, length=10)
	private String teAllowinonnet;

	@Column(name="te_allowonnet", nullable=false, length=10)
	private String teAllowonnet;

	@Column(name="te_billingcode", nullable=false, length=255)
	private String teBillingcode;

	@Column(name="te_billingtype", nullable=false, length=10)
	private String teBillingtype;

	@Column(name="te_billonnet", nullable=false, length=10)
	private String teBillonnet;

	@Column(name="te_ca_cl_id")
	private Integer teCaClId;

	@Column(name="te_ca_no_id", nullable=false)
	private Integer teCaNoId;

	@Column(name="te_ca_rp_id")
	private Integer teCaRpId;

	@Column(name="te_cl_id", nullable=false)
	private Integer teClId;

	@Column(name="te_code", nullable=false, length=255)
	private String teCode;

	@Column(name="te_costlimits", length=10)
	private String teCostlimits;

	@Column(name="te_cr_no_id", nullable=false)
	private Integer teCrNoId;

	@Column(name="te_dailycostlimit", precision=10, scale=5)
	private BigDecimal teDailycostlimit;

	@Column(name="te_dailycostlimitdom", nullable=false, precision=10, scale=5)
	private BigDecimal teDailycostlimitdom;

	@Column(name="te_dailycostlimitint", nullable=false, precision=10, scale=5)
	private BigDecimal teDailycostlimitint;

	@Column(name="te_dailycostwarning", nullable=false, precision=10, scale=5)
	private BigDecimal teDailycostwarning;

	@Column(name="te_dailycostwarningdom", nullable=false, precision=10, scale=5)
	private BigDecimal teDailycostwarningdom;

	@Column(name="te_dailycostwarningint", nullable=false, precision=10, scale=5)
	private BigDecimal teDailycostwarningint;

	@Column(name="te_dailytenantcostlimit", precision=10, scale=5)
	private BigDecimal teDailytenantcostlimit;

	@Column(name="te_dailytenantcostlimitdom", nullable=false, precision=10, scale=5)
	private BigDecimal teDailytenantcostlimitdom;

	@Column(name="te_dailytenantcostlimitint", nullable=false, precision=10, scale=5)
	private BigDecimal teDailytenantcostlimitint;

	@Column(name="te_dailytenantcostwarning", nullable=false, precision=10, scale=5)
	private BigDecimal teDailytenantcostwarning;

	@Column(name="te_dailytenantcostwarningdom", nullable=false, precision=10, scale=5)
	private BigDecimal teDailytenantcostwarningdom;

	@Column(name="te_dailytenantcostwarningint", nullable=false, precision=10, scale=5)
	private BigDecimal teDailytenantcostwarningint;

	@Temporal(TemporalType.TIMESTAMP)
	@Column(name="te_datecreation")
	private Date teDatecreation;

	@Column(name="te_defaultrrid", nullable=false)
	private Integer teDefaultrrid;

	@Column(name="te_disabled", nullable=false, length=40)
	private String teDisabled;

	@Column(name="te_ep_id", nullable=false)
	private Integer teEpId;

	@Temporal(TemporalType.DATE)
	@Column(name="te_expirationdate")
	private Date teExpirationdate;

	@Column(name="te_extracode", nullable=false, length=255)
	private String teExtracode;

	@Column(name="te_fa_no_id", nullable=false)
	private Integer teFaNoId;

	@Column(name="te_forcepinonnet", nullable=false, length=5)
	private String teForcepinonnet;

	@Temporal(TemporalType.TIMESTAMP)
	@Column(name="te_lastcostalert")
	private Date teLastcostalert;

	@Column(name="te_maxagiscripts", nullable=false)
	private Integer teMaxagiscripts;

	@Column(name="te_maxanychannels", nullable=false)
	private Integer teMaxanychannels;

	@Column(name="te_maxcalleridblacklist", nullable=false)
	private Integer teMaxcalleridblacklist;

	@Column(name="te_maxcampaigns", nullable=false)
	private Integer teMaxcampaigns;

	@Column(name="te_maxchannels")
	private Integer teMaxchannels;

	@Column(name="te_maxconditions", nullable=false)
	private Integer teMaxconditions;

	@Column(name="te_maxconduits", nullable=false)
	private Integer teMaxconduits;

	@Column(name="te_maxconferences", nullable=false)
	private Integer teMaxconferences;

	@Column(name="te_maxcustoms", nullable=false)
	private Integer teMaxcustoms;

	@Column(name="te_maxdids", nullable=false)
	private Integer teMaxdids;

	@Column(name="te_maxdisas", nullable=false)
	private Integer teMaxdisas;

	@Column(name="te_maxextensions", nullable=false)
	private Integer teMaxextensions;

	@Column(name="te_maxfeatures", nullable=false)
	private Integer teMaxfeatures;

	@Column(name="te_maxflows", nullable=false)
	private Integer teMaxflows;

	@Column(name="te_maxhunts", nullable=false)
	private Integer teMaxhunts;

	@Column(name="te_maxivrs", nullable=false)
	private Integer teMaxivrs;

	@Column(name="te_maxmediafiles", nullable=false)
	private Integer teMaxmediafiles;

	@Column(name="te_maxpagings", nullable=false)
	private Integer teMaxpagings;

	@Column(name="te_maxphonebooks", nullable=false)
	private Integer teMaxphonebooks;

	@Column(name="te_maxprovisioning", nullable=false)
	private Integer teMaxprovisioning;

	@Column(name="te_maxqueues", nullable=false)
	private Integer teMaxqueues;

	@Column(name="te_maxshortnumbers", nullable=false)
	private Integer teMaxshortnumbers;

	@Column(name="te_maxvirtualextensions", nullable=false)
	private Integer teMaxvirtualextensions;

	@Column(name="te_maxvoicemails", nullable=false)
	private Integer teMaxvoicemails;

	@Column(name="te_monthlycostlimit", precision=10, scale=5)
	private BigDecimal teMonthlycostlimit;

	@Column(name="te_monthlycostlimitdom", precision=10, scale=5)
	private BigDecimal teMonthlycostlimitdom;

	@Column(name="te_monthlycostlimitint", precision=10, scale=5)
	private BigDecimal teMonthlycostlimitint;

	@Column(name="te_monthlycostwarning", precision=10, scale=5)
	private BigDecimal teMonthlycostwarning;

	@Column(name="te_monthlycostwarningdom", precision=10, scale=5)
	private BigDecimal teMonthlycostwarningdom;

	@Column(name="te_monthlycostwarningint", precision=10, scale=5)
	private BigDecimal teMonthlycostwarningint;

	@Column(name="te_monthlytenantcostlimit", precision=10, scale=5)
	private BigDecimal teMonthlytenantcostlimit;

	@Column(name="te_monthlytenantcostlimitdom", nullable=false, precision=10, scale=5)
	private BigDecimal teMonthlytenantcostlimitdom;

	@Column(name="te_monthlytenantcostlimitint", nullable=false, precision=10, scale=5)
	private BigDecimal teMonthlytenantcostlimitint;

	@Column(name="te_monthlytenantcostwarning", nullable=false, precision=10, scale=5)
	private BigDecimal teMonthlytenantcostwarning;

	@Column(name="te_monthlytenantcostwarningdom", nullable=false, precision=10, scale=5)
	private BigDecimal teMonthlytenantcostwarningdom;

	@Column(name="te_monthlytenantcostwarningint", nullable=false, precision=10, scale=5)
	private BigDecimal teMonthlytenantcostwarningint;

	@Column(name="te_name", nullable=false, length=255)
	private String teName;

	@Column(name="te_note", nullable=false, length=255)
	private String teNote;

	@Column(name="te_onnetdigitstoadd", nullable=false, length=20)
	private String teOnnetdigitstoadd;

	@Column(name="te_onnetdigitstoremove", nullable=false)
	private Integer teOnnetdigitstoremove;

	@Column(name="te_passiveftp", nullable=false, length=10)
	private String tePassiveftp;

	@Column(name="te_payment_type", nullable=false, length=10)
	private String tePaymentType;

	@Column(name="te_preferred_pk_hosted", nullable=false, length=255)
	private String tePreferredPkHosted;

	@Column(name="te_preferred_qu_hosted", nullable=false, length=255)
	private String tePreferredQuHosted;

	@Column(name="te_prefixbillingcode", nullable=false, length=10)
	private String tePrefixbillingcode;

	@Column(name="te_provisioningdir", nullable=false, length=255)
	private String teProvisioningdir;

	@Column(name="te_provisioninghostname", nullable=false, length=255)
	private String teProvisioninghostname;

	@Column(name="te_recordemergency", length=5)
	private String teRecordemergency;

	@Column(name="te_recordemergency_email", length=255)
	private String teRecordemergencyEmail;

	@Column(name="te_recordingdirectory", nullable=false, length=255)
	private String teRecordingdirectory;

	@Column(name="te_recordinghost", nullable=false, length=255)
	private String teRecordinghost;

	@Column(name="te_recordingpassword", nullable=false, length=255)
	private String teRecordingpassword;

	@Column(name="te_recordingremovefiles", nullable=false, length=10)
	private String teRecordingremovefiles;

	@Column(name="te_recordingstorage", nullable=false, length=255)
	private String teRecordingstorage;

	@Column(name="te_recordinguser", nullable=false, length=255)
	private String teRecordinguser;

	@Column(name="te_routecostlimit", precision=10, scale=5)
	private BigDecimal teRoutecostlimit;

	@Column(name="te_rp_id")
	private Integer teRpId;

	@Column(name="te_sms_rp_id")
	private Integer teSmsRpId;

	@Column(name="te_timezone", nullable=false, length=255)
	private String teTimezone;

	@Column(name="te_uploadrecordingatcallend", nullable=false, length=10)
	private String teUploadrecordingatcallend;

	@Column(name="te_usercreation", nullable=false, length=255)
	private String teUsercreation;

	//bi-directional many-to-one association to ExExtension
	@OneToMany(mappedBy="teTenant")
	private List<ExExtension> exExtensions;

	//bi-directional many-to-one association to MuManageruser
	@OneToMany(mappedBy="teTenant")
	private List<MuManageruser> muManagerusers;

	//bi-directional many-to-one association to Sipfriend
	@OneToMany(mappedBy="teTenant")
	private List<Sipfriend> sipfriends;

	//bi-directional many-to-one association to Sipreg
	@OneToMany(mappedBy="teTenant")
	private List<Sipreg> sipregs;

	//bi-directional many-to-one association to PsEndpoint
	@OneToMany(mappedBy="teTenant")
	private List<PsEndpoint> psEndpoints;

	public TeTenant() {
	}

	public Integer getTeId() {
		return this.teId;
	}

	public void setTeId(Integer teId) {
		this.teId = teId;
	}

	public String getTeAbusedetection() {
		return this.teAbusedetection;
	}

	public void setTeAbusedetection(String teAbusedetection) {
		this.teAbusedetection = teAbusedetection;
	}

	public Integer getTeAlertamount() {
		return this.teAlertamount;
	}

	public void setTeAlertamount(Integer teAlertamount) {
		this.teAlertamount = teAlertamount;
	}

	public String getTeAlertemail() {
		return this.teAlertemail;
	}

	public void setTeAlertemail(String teAlertemail) {
		this.teAlertemail = teAlertemail;
	}

	public String getTeAllowanycalleridforemerg() {
		return this.teAllowanycalleridforemerg;
	}

	public void setTeAllowanycalleridforemerg(String teAllowanycalleridforemerg) {
		this.teAllowanycalleridforemerg = teAllowanycalleridforemerg;
	}

	public String getTeAllowanycalleridusage() {
		return this.teAllowanycalleridusage;
	}

	public void setTeAllowanycalleridusage(String teAllowanycalleridusage) {
		this.teAllowanycalleridusage = teAllowanycalleridusage;
	}

	public String getTeAllowincomingcalleridusage() {
		return this.teAllowincomingcalleridusage;
	}

	public void setTeAllowincomingcalleridusage(String teAllowincomingcalleridusage) {
		this.teAllowincomingcalleridusage = teAllowincomingcalleridusage;
	}

	public String getTeAllowinonnet() {
		return this.teAllowinonnet;
	}

	public void setTeAllowinonnet(String teAllowinonnet) {
		this.teAllowinonnet = teAllowinonnet;
	}

	public String getTeAllowonnet() {
		return this.teAllowonnet;
	}

	public void setTeAllowonnet(String teAllowonnet) {
		this.teAllowonnet = teAllowonnet;
	}

	public String getTeBillingcode() {
		return this.teBillingcode;
	}

	public void setTeBillingcode(String teBillingcode) {
		this.teBillingcode = teBillingcode;
	}

	public String getTeBillingtype() {
		return this.teBillingtype;
	}

	public void setTeBillingtype(String teBillingtype) {
		this.teBillingtype = teBillingtype;
	}

	public String getTeBillonnet() {
		return this.teBillonnet;
	}

	public void setTeBillonnet(String teBillonnet) {
		this.teBillonnet = teBillonnet;
	}

	public Integer getTeCaClId() {
		return this.teCaClId;
	}

	public void setTeCaClId(Integer teCaClId) {
		this.teCaClId = teCaClId;
	}

	public Integer getTeCaNoId() {
		return this.teCaNoId;
	}

	public void setTeCaNoId(Integer teCaNoId) {
		this.teCaNoId = teCaNoId;
	}

	public Integer getTeCaRpId() {
		return this.teCaRpId;
	}

	public void setTeCaRpId(Integer teCaRpId) {
		this.teCaRpId = teCaRpId;
	}

	public Integer getTeClId() {
		return this.teClId;
	}

	public void setTeClId(Integer teClId) {
		this.teClId = teClId;
	}

	public String getTeCode() {
		return this.teCode;
	}

	public void setTeCode(String teCode) {
		this.teCode = teCode;
	}

	public String getTeCostlimits() {
		return this.teCostlimits;
	}

	public void setTeCostlimits(String teCostlimits) {
		this.teCostlimits = teCostlimits;
	}

	public Integer getTeCrNoId() {
		return this.teCrNoId;
	}

	public void setTeCrNoId(Integer teCrNoId) {
		this.teCrNoId = teCrNoId;
	}

	public BigDecimal getTeDailycostlimit() {
		return this.teDailycostlimit;
	}

	public void setTeDailycostlimit(BigDecimal teDailycostlimit) {
		this.teDailycostlimit = teDailycostlimit;
	}

	public BigDecimal getTeDailycostlimitdom() {
		return this.teDailycostlimitdom;
	}

	public void setTeDailycostlimitdom(BigDecimal teDailycostlimitdom) {
		this.teDailycostlimitdom = teDailycostlimitdom;
	}

	public BigDecimal getTeDailycostlimitint() {
		return this.teDailycostlimitint;
	}

	public void setTeDailycostlimitint(BigDecimal teDailycostlimitint) {
		this.teDailycostlimitint = teDailycostlimitint;
	}

	public BigDecimal getTeDailycostwarning() {
		return this.teDailycostwarning;
	}

	public void setTeDailycostwarning(BigDecimal teDailycostwarning) {
		this.teDailycostwarning = teDailycostwarning;
	}

	public BigDecimal getTeDailycostwarningdom() {
		return this.teDailycostwarningdom;
	}

	public void setTeDailycostwarningdom(BigDecimal teDailycostwarningdom) {
		this.teDailycostwarningdom = teDailycostwarningdom;
	}

	public BigDecimal getTeDailycostwarningint() {
		return this.teDailycostwarningint;
	}

	public void setTeDailycostwarningint(BigDecimal teDailycostwarningint) {
		this.teDailycostwarningint = teDailycostwarningint;
	}

	public BigDecimal getTeDailytenantcostlimit() {
		return this.teDailytenantcostlimit;
	}

	public void setTeDailytenantcostlimit(BigDecimal teDailytenantcostlimit) {
		this.teDailytenantcostlimit = teDailytenantcostlimit;
	}

	public BigDecimal getTeDailytenantcostlimitdom() {
		return this.teDailytenantcostlimitdom;
	}

	public void setTeDailytenantcostlimitdom(BigDecimal teDailytenantcostlimitdom) {
		this.teDailytenantcostlimitdom = teDailytenantcostlimitdom;
	}

	public BigDecimal getTeDailytenantcostlimitint() {
		return this.teDailytenantcostlimitint;
	}

	public void setTeDailytenantcostlimitint(BigDecimal teDailytenantcostlimitint) {
		this.teDailytenantcostlimitint = teDailytenantcostlimitint;
	}

	public BigDecimal getTeDailytenantcostwarning() {
		return this.teDailytenantcostwarning;
	}

	public void setTeDailytenantcostwarning(BigDecimal teDailytenantcostwarning) {
		this.teDailytenantcostwarning = teDailytenantcostwarning;
	}

	public BigDecimal getTeDailytenantcostwarningdom() {
		return this.teDailytenantcostwarningdom;
	}

	public void setTeDailytenantcostwarningdom(BigDecimal teDailytenantcostwarningdom) {
		this.teDailytenantcostwarningdom = teDailytenantcostwarningdom;
	}

	public BigDecimal getTeDailytenantcostwarningint() {
		return this.teDailytenantcostwarningint;
	}

	public void setTeDailytenantcostwarningint(BigDecimal teDailytenantcostwarningint) {
		this.teDailytenantcostwarningint = teDailytenantcostwarningint;
	}

	public Date getTeDatecreation() {
		return this.teDatecreation;
	}

	public void setTeDatecreation(Date teDatecreation) {
		this.teDatecreation = teDatecreation;
	}

	public Integer getTeDefaultrrid() {
		return this.teDefaultrrid;
	}

	public void setTeDefaultrrid(Integer teDefaultrrid) {
		this.teDefaultrrid = teDefaultrrid;
	}

	public String getTeDisabled() {
		return this.teDisabled;
	}

	public void setTeDisabled(String teDisabled) {
		this.teDisabled = teDisabled;
	}

	public Integer getTeEpId() {
		return this.teEpId;
	}

	public void setTeEpId(Integer teEpId) {
		this.teEpId = teEpId;
	}

	public Date getTeExpirationdate() {
		return this.teExpirationdate;
	}

	public void setTeExpirationdate(Date teExpirationdate) {
		this.teExpirationdate = teExpirationdate;
	}

	public String getTeExtracode() {
		return this.teExtracode;
	}

	public void setTeExtracode(String teExtracode) {
		this.teExtracode = teExtracode;
	}

	public Integer getTeFaNoId() {
		return this.teFaNoId;
	}

	public void setTeFaNoId(Integer teFaNoId) {
		this.teFaNoId = teFaNoId;
	}

	public String getTeForcepinonnet() {
		return this.teForcepinonnet;
	}

	public void setTeForcepinonnet(String teForcepinonnet) {
		this.teForcepinonnet = teForcepinonnet;
	}

	public Date getTeLastcostalert() {
		return this.teLastcostalert;
	}

	public void setTeLastcostalert(Date teLastcostalert) {
		this.teLastcostalert = teLastcostalert;
	}

	public Integer getTeMaxagiscripts() {
		return this.teMaxagiscripts;
	}

	public void setTeMaxagiscripts(Integer teMaxagiscripts) {
		this.teMaxagiscripts = teMaxagiscripts;
	}

	public Integer getTeMaxanychannels() {
		return this.teMaxanychannels;
	}

	public void setTeMaxanychannels(Integer teMaxanychannels) {
		this.teMaxanychannels = teMaxanychannels;
	}

	public Integer getTeMaxcalleridblacklist() {
		return this.teMaxcalleridblacklist;
	}

	public void setTeMaxcalleridblacklist(Integer teMaxcalleridblacklist) {
		this.teMaxcalleridblacklist = teMaxcalleridblacklist;
	}

	public Integer getTeMaxcampaigns() {
		return this.teMaxcampaigns;
	}

	public void setTeMaxcampaigns(Integer teMaxcampaigns) {
		this.teMaxcampaigns = teMaxcampaigns;
	}

	public Integer getTeMaxchannels() {
		return this.teMaxchannels;
	}

	public void setTeMaxchannels(Integer teMaxchannels) {
		this.teMaxchannels = teMaxchannels;
	}

	public Integer getTeMaxconditions() {
		return this.teMaxconditions;
	}

	public void setTeMaxconditions(Integer teMaxconditions) {
		this.teMaxconditions = teMaxconditions;
	}

	public Integer getTeMaxconduits() {
		return this.teMaxconduits;
	}

	public void setTeMaxconduits(Integer teMaxconduits) {
		this.teMaxconduits = teMaxconduits;
	}

	public Integer getTeMaxconferences() {
		return this.teMaxconferences;
	}

	public void setTeMaxconferences(Integer teMaxconferences) {
		this.teMaxconferences = teMaxconferences;
	}

	public Integer getTeMaxcustoms() {
		return this.teMaxcustoms;
	}

	public void setTeMaxcustoms(Integer teMaxcustoms) {
		this.teMaxcustoms = teMaxcustoms;
	}

	public Integer getTeMaxdids() {
		return this.teMaxdids;
	}

	public void setTeMaxdids(Integer teMaxdids) {
		this.teMaxdids = teMaxdids;
	}

	public Integer getTeMaxdisas() {
		return this.teMaxdisas;
	}

	public void setTeMaxdisas(Integer teMaxdisas) {
		this.teMaxdisas = teMaxdisas;
	}

	public Integer getTeMaxextensions() {
		return this.teMaxextensions;
	}

	public void setTeMaxextensions(Integer teMaxextensions) {
		this.teMaxextensions = teMaxextensions;
	}

	public Integer getTeMaxfeatures() {
		return this.teMaxfeatures;
	}

	public void setTeMaxfeatures(Integer teMaxfeatures) {
		this.teMaxfeatures = teMaxfeatures;
	}

	public Integer getTeMaxflows() {
		return this.teMaxflows;
	}

	public void setTeMaxflows(Integer teMaxflows) {
		this.teMaxflows = teMaxflows;
	}

	public Integer getTeMaxhunts() {
		return this.teMaxhunts;
	}

	public void setTeMaxhunts(Integer teMaxhunts) {
		this.teMaxhunts = teMaxhunts;
	}

	public Integer getTeMaxivrs() {
		return this.teMaxivrs;
	}

	public void setTeMaxivrs(Integer teMaxivrs) {
		this.teMaxivrs = teMaxivrs;
	}

	public Integer getTeMaxmediafiles() {
		return this.teMaxmediafiles;
	}

	public void setTeMaxmediafiles(Integer teMaxmediafiles) {
		this.teMaxmediafiles = teMaxmediafiles;
	}

	public Integer getTeMaxpagings() {
		return this.teMaxpagings;
	}

	public void setTeMaxpagings(Integer teMaxpagings) {
		this.teMaxpagings = teMaxpagings;
	}

	public Integer getTeMaxphonebooks() {
		return this.teMaxphonebooks;
	}

	public void setTeMaxphonebooks(Integer teMaxphonebooks) {
		this.teMaxphonebooks = teMaxphonebooks;
	}

	public Integer getTeMaxprovisioning() {
		return this.teMaxprovisioning;
	}

	public void setTeMaxprovisioning(Integer teMaxprovisioning) {
		this.teMaxprovisioning = teMaxprovisioning;
	}

	public Integer getTeMaxqueues() {
		return this.teMaxqueues;
	}

	public void setTeMaxqueues(Integer teMaxqueues) {
		this.teMaxqueues = teMaxqueues;
	}

	public Integer getTeMaxshortnumbers() {
		return this.teMaxshortnumbers;
	}

	public void setTeMaxshortnumbers(Integer teMaxshortnumbers) {
		this.teMaxshortnumbers = teMaxshortnumbers;
	}

	public Integer getTeMaxvirtualextensions() {
		return this.teMaxvirtualextensions;
	}

	public void setTeMaxvirtualextensions(Integer teMaxvirtualextensions) {
		this.teMaxvirtualextensions = teMaxvirtualextensions;
	}

	public Integer getTeMaxvoicemails() {
		return this.teMaxvoicemails;
	}

	public void setTeMaxvoicemails(Integer teMaxvoicemails) {
		this.teMaxvoicemails = teMaxvoicemails;
	}

	public BigDecimal getTeMonthlycostlimit() {
		return this.teMonthlycostlimit;
	}

	public void setTeMonthlycostlimit(BigDecimal teMonthlycostlimit) {
		this.teMonthlycostlimit = teMonthlycostlimit;
	}

	public BigDecimal getTeMonthlycostlimitdom() {
		return this.teMonthlycostlimitdom;
	}

	public void setTeMonthlycostlimitdom(BigDecimal teMonthlycostlimitdom) {
		this.teMonthlycostlimitdom = teMonthlycostlimitdom;
	}

	public BigDecimal getTeMonthlycostlimitint() {
		return this.teMonthlycostlimitint;
	}

	public void setTeMonthlycostlimitint(BigDecimal teMonthlycostlimitint) {
		this.teMonthlycostlimitint = teMonthlycostlimitint;
	}

	public BigDecimal getTeMonthlycostwarning() {
		return this.teMonthlycostwarning;
	}

	public void setTeMonthlycostwarning(BigDecimal teMonthlycostwarning) {
		this.teMonthlycostwarning = teMonthlycostwarning;
	}

	public BigDecimal getTeMonthlycostwarningdom() {
		return this.teMonthlycostwarningdom;
	}

	public void setTeMonthlycostwarningdom(BigDecimal teMonthlycostwarningdom) {
		this.teMonthlycostwarningdom = teMonthlycostwarningdom;
	}

	public BigDecimal getTeMonthlycostwarningint() {
		return this.teMonthlycostwarningint;
	}

	public void setTeMonthlycostwarningint(BigDecimal teMonthlycostwarningint) {
		this.teMonthlycostwarningint = teMonthlycostwarningint;
	}

	public BigDecimal getTeMonthlytenantcostlimit() {
		return this.teMonthlytenantcostlimit;
	}

	public void setTeMonthlytenantcostlimit(BigDecimal teMonthlytenantcostlimit) {
		this.teMonthlytenantcostlimit = teMonthlytenantcostlimit;
	}

	public BigDecimal getTeMonthlytenantcostlimitdom() {
		return this.teMonthlytenantcostlimitdom;
	}

	public void setTeMonthlytenantcostlimitdom(BigDecimal teMonthlytenantcostlimitdom) {
		this.teMonthlytenantcostlimitdom = teMonthlytenantcostlimitdom;
	}

	public BigDecimal getTeMonthlytenantcostlimitint() {
		return this.teMonthlytenantcostlimitint;
	}

	public void setTeMonthlytenantcostlimitint(BigDecimal teMonthlytenantcostlimitint) {
		this.teMonthlytenantcostlimitint = teMonthlytenantcostlimitint;
	}

	public BigDecimal getTeMonthlytenantcostwarning() {
		return this.teMonthlytenantcostwarning;
	}

	public void setTeMonthlytenantcostwarning(BigDecimal teMonthlytenantcostwarning) {
		this.teMonthlytenantcostwarning = teMonthlytenantcostwarning;
	}

	public BigDecimal getTeMonthlytenantcostwarningdom() {
		return this.teMonthlytenantcostwarningdom;
	}

	public void setTeMonthlytenantcostwarningdom(BigDecimal teMonthlytenantcostwarningdom) {
		this.teMonthlytenantcostwarningdom = teMonthlytenantcostwarningdom;
	}

	public BigDecimal getTeMonthlytenantcostwarningint() {
		return this.teMonthlytenantcostwarningint;
	}

	public void setTeMonthlytenantcostwarningint(BigDecimal teMonthlytenantcostwarningint) {
		this.teMonthlytenantcostwarningint = teMonthlytenantcostwarningint;
	}

	public String getTeName() {
		return this.teName;
	}

	public void setTeName(String teName) {
		this.teName = teName;
	}

	public String getTeNote() {
		return this.teNote;
	}

	public void setTeNote(String teNote) {
		this.teNote = teNote;
	}

	public String getTeOnnetdigitstoadd() {
		return this.teOnnetdigitstoadd;
	}

	public void setTeOnnetdigitstoadd(String teOnnetdigitstoadd) {
		this.teOnnetdigitstoadd = teOnnetdigitstoadd;
	}

	public Integer getTeOnnetdigitstoremove() {
		return this.teOnnetdigitstoremove;
	}

	public void setTeOnnetdigitstoremove(Integer teOnnetdigitstoremove) {
		this.teOnnetdigitstoremove = teOnnetdigitstoremove;
	}

	public String getTePassiveftp() {
		return this.tePassiveftp;
	}

	public void setTePassiveftp(String tePassiveftp) {
		this.tePassiveftp = tePassiveftp;
	}

	public String getTePaymentType() {
		return this.tePaymentType;
	}

	public void setTePaymentType(String tePaymentType) {
		this.tePaymentType = tePaymentType;
	}

	public String getTePreferredPkHosted() {
		return this.tePreferredPkHosted;
	}

	public void setTePreferredPkHosted(String tePreferredPkHosted) {
		this.tePreferredPkHosted = tePreferredPkHosted;
	}

	public String getTePreferredQuHosted() {
		return this.tePreferredQuHosted;
	}

	public void setTePreferredQuHosted(String tePreferredQuHosted) {
		this.tePreferredQuHosted = tePreferredQuHosted;
	}

	public String getTePrefixbillingcode() {
		return this.tePrefixbillingcode;
	}

	public void setTePrefixbillingcode(String tePrefixbillingcode) {
		this.tePrefixbillingcode = tePrefixbillingcode;
	}

	public String getTeProvisioningdir() {
		return this.teProvisioningdir;
	}

	public void setTeProvisioningdir(String teProvisioningdir) {
		this.teProvisioningdir = teProvisioningdir;
	}

	public String getTeProvisioninghostname() {
		return this.teProvisioninghostname;
	}

	public void setTeProvisioninghostname(String teProvisioninghostname) {
		this.teProvisioninghostname = teProvisioninghostname;
	}

	public String getTeRecordemergency() {
		return this.teRecordemergency;
	}

	public void setTeRecordemergency(String teRecordemergency) {
		this.teRecordemergency = teRecordemergency;
	}

	public String getTeRecordemergencyEmail() {
		return this.teRecordemergencyEmail;
	}

	public void setTeRecordemergencyEmail(String teRecordemergencyEmail) {
		this.teRecordemergencyEmail = teRecordemergencyEmail;
	}

	public String getTeRecordingdirectory() {
		return this.teRecordingdirectory;
	}

	public void setTeRecordingdirectory(String teRecordingdirectory) {
		this.teRecordingdirectory = teRecordingdirectory;
	}

	public String getTeRecordinghost() {
		return this.teRecordinghost;
	}

	public void setTeRecordinghost(String teRecordinghost) {
		this.teRecordinghost = teRecordinghost;
	}

	public String getTeRecordingpassword() {
		return this.teRecordingpassword;
	}

	public void setTeRecordingpassword(String teRecordingpassword) {
		this.teRecordingpassword = teRecordingpassword;
	}

	public String getTeRecordingremovefiles() {
		return this.teRecordingremovefiles;
	}

	public void setTeRecordingremovefiles(String teRecordingremovefiles) {
		this.teRecordingremovefiles = teRecordingremovefiles;
	}

	public String getTeRecordingstorage() {
		return this.teRecordingstorage;
	}

	public void setTeRecordingstorage(String teRecordingstorage) {
		this.teRecordingstorage = teRecordingstorage;
	}

	public String getTeRecordinguser() {
		return this.teRecordinguser;
	}

	public void setTeRecordinguser(String teRecordinguser) {
		this.teRecordinguser = teRecordinguser;
	}

	public BigDecimal getTeRoutecostlimit() {
		return this.teRoutecostlimit;
	}

	public void setTeRoutecostlimit(BigDecimal teRoutecostlimit) {
		this.teRoutecostlimit = teRoutecostlimit;
	}

	public Integer getTeRpId() {
		return this.teRpId;
	}

	public void setTeRpId(Integer teRpId) {
		this.teRpId = teRpId;
	}

	public Integer getTeSmsRpId() {
		return this.teSmsRpId;
	}

	public void setTeSmsRpId(Integer teSmsRpId) {
		this.teSmsRpId = teSmsRpId;
	}

	public String getTeTimezone() {
		return this.teTimezone;
	}

	public void setTeTimezone(String teTimezone) {
		this.teTimezone = teTimezone;
	}

	public String getTeUploadrecordingatcallend() {
		return this.teUploadrecordingatcallend;
	}

	public void setTeUploadrecordingatcallend(String teUploadrecordingatcallend) {
		this.teUploadrecordingatcallend = teUploadrecordingatcallend;
	}

	public String getTeUsercreation() {
		return this.teUsercreation;
	}

	public void setTeUsercreation(String teUsercreation) {
		this.teUsercreation = teUsercreation;
	}

	public List<ExExtension> getExExtensions() {
		return this.exExtensions;
	}

	public void setExExtensions(List<ExExtension> exExtensions) {
		this.exExtensions = exExtensions;
	}

	public ExExtension addExExtension(ExExtension exExtension) {
		getExExtensions().add(exExtension);
		exExtension.setTeTenant(this);

		return exExtension;
	}

	public ExExtension removeExExtension(ExExtension exExtension) {
		getExExtensions().remove(exExtension);
		exExtension.setTeTenant(null);

		return exExtension;
	}

	public List<MuManageruser> getMuManagerusers() {
		return this.muManagerusers;
	}

	public void setMuManagerusers(List<MuManageruser> muManagerusers) {
		this.muManagerusers = muManagerusers;
	}

	public MuManageruser addMuManageruser(MuManageruser muManageruser) {
		getMuManagerusers().add(muManageruser);
		muManageruser.setTeTenant(this);

		return muManageruser;
	}

	public MuManageruser removeMuManageruser(MuManageruser muManageruser) {
		getMuManagerusers().remove(muManageruser);
		muManageruser.setTeTenant(null);

		return muManageruser;
	}

	public List<Sipfriend> getSipfriends() {
		return this.sipfriends;
	}

	public void setSipfriends(List<Sipfriend> sipfriends) {
		this.sipfriends = sipfriends;
	}

	public Sipfriend addSipfriend(Sipfriend sipfriend) {
		getSipfriends().add(sipfriend);
		sipfriend.setTeTenant(this);

		return sipfriend;
	}

	public Sipfriend removeSipfriend(Sipfriend sipfriend) {
		getSipfriends().remove(sipfriend);
		sipfriend.setTeTenant(null);

		return sipfriend;
	}

	public List<Sipreg> getSipregs() {
		return this.sipregs;
	}

	public void setSipregs(List<Sipreg> sipregs) {
		this.sipregs = sipregs;
	}

	public Sipreg addSipreg(Sipreg sipreg) {
		getSipregs().add(sipreg);
		sipreg.setTeTenant(this);

		return sipreg;
	}

	public Sipreg removeSipreg(Sipreg sipreg) {
		getSipregs().remove(sipreg);
		sipreg.setTeTenant(null);

		return sipreg;
	}

	public List<PsEndpoint> getPsEndpoints() {
		return this.psEndpoints;
	}

	public void setPsEndpoints(List<PsEndpoint> psEndpoints) {
		this.psEndpoints = psEndpoints;
	}

	public PsEndpoint addPsEndpoint(PsEndpoint psEndpoint) {
		getPsEndpoints().add(psEndpoint);
		psEndpoint.setTeTenant(this);

		return psEndpoint;
	}

	public PsEndpoint removePsEndpoint(PsEndpoint psEndpoint) {
		getPsEndpoints().remove(psEndpoint);
		psEndpoint.setTeTenant(null);

		return psEndpoint;
	}

}